
{*******************************************************}
{                                                       }
{   (403) Fonctions                                     }
{   du Novell 4.0 Pour Borland DELPHI                   }
{                                                       }
{   Convertion du C au PASCAL                           }
{   par Couery Tanguy le 26/11/95                       }
{                                                       }
{   Pour le projet Novell Netware de 3me anne         }
{   (BRETIN David,COUERY Tanguy,GUILHEM Eric)           }
{                                                       }
{                                                       }
{*******************************************************}

unit NwCalls;

interface

uses TCalls;

function NWScanFileInformation2 (
  conn: word;
  dirHandle: byte;
  filePattern: Pchar;
  SerachAttrs: word;
  IterHandle: Pword;
  info: PNW_FILE_INFO2): word;

function NWAFPAllocTemporaryDirHandle (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	AFPPathString: Pchar;
	dirHandle: Pbyte;
	accessRights: Pbyte): word;

function NWAFPCreateDirectory (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	finderInfo: Pbyte;
	AFPPathString: Pchar;
	newAFPEntryID: Plongint): word;
	
function NWAFPCreateFile (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	deleteExistingFile: byte;
	finderInfo: Pbyte;
	AFPPathString: Pchar;
	newAFPEntryID: Plongint): word;
	
function NWAFPDelete (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	AFPPathString: Pchar): word;
	
function NWAFPGetEntryIDFromName (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	AFPPathString: Pchar;
	newAFPEntryID: Plongint): word;
	
function NWAFPGetEntryIDFromHandle (
	conn: word;
	NetWareHandle: Pbyte;
	volNumber: Pword;
	AFPEntryID: Plongint;
	forkIndicator: Pbyte): word;
	
function NWAFPGetEntryIDFromPathName (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	AFPEntryID: Plongint): word;
	
function NWAFPGetFileInformation (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	requestMask: word;
	AFPPathString: Pchar;
	structSize: word;
	AFPFileInfo: PNW_AFP_FILE_INFO): word;
	
function NWAFPDirectoryEntry (
	conn: word;
	dirHandle: byte;
	path: Pchar): word;
	
function NWAFPOpenFileFork (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	forkIndicator: byte;
	accessMode: byte;
	AFPPathString: Pchar;
	fileID: Plongint;
	forkLength: Plongint;
	NetWareHandle: Pbyte;
	DOSFileHandle: Pword): word;
	
function NWAFPRename (
	conn: word;
	volNumber: word;
	AFPSourceEntryID: longint;
	AFPDestEntryID: longint;
	AFPSourcePath: Pchar;
	AFPDestPath: Pchar): word;

function NWAFPScanFileInformation (
	conn: word;
	volNumber: word;
	AFPEntryID: longint;
	AFPLastSeenID: Plongint;
	searchMask: word;
	requestMask: word;
	AFPPathString: Pchar;
	structSize: word;
	AFPFileInfo: PNW_AFP_FILE_INFO): word;
	
function NWAFPSetFileInformation (
	conn: word;
	volNumber: word;
	AFPBaseID: longint;
	requestMask: word;
	AFPPathString: Pchar;
	structSize: word;
	AFPSetInfo: PNW_AFP_SET_INFO): word;
	
function NWAFPSupported (
	conn: word;
	volNumber: word): word;
	
function NWVerifyObjectPassword (
	conn: word;
	objectName: Pchar;
	objectType: word;
	password: Pchar): word;
	
function NWDisallowObjectPassword (
	conn: word;
	objectName: Pchar;
	objectType: word;
	disallowedPassword: Pchar): word;
	
function NWChangeObjectPassword (
	conn: word;
	objectName: Pchar;
	objectType: word;
	oldPassword: Pchar;
	newPassword: Pchar): word;
	
function NWReadPropertyValue (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	segmentNumber: byte;
	segmentData: Pbyte;
	moreSegments: Pbyte;
	flags: Pbyte): word;
	
function NWWritePropertyValue (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	segmentNumber: byte;
	segmentData: Pbyte;
	moreSegments: byte): word;
	
function NWAddObjectToSet (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	memberName: Pchar;
	memberType: word): word;
	
function NWDeleteObjectFromSet (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	memberName: Pchar;
	memberType: word): word;

function NWIsObjectInSet (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	memberName: Pchar;
	memberType: word): word;
	
function NWScanProperty (
	conn: word;
	objectName: Pchar;
	objectType: word;
	searchPropertyName: Pchar;
	sequenceNumber: Plongint;
	propertyName: Pchar;
	propertyFlags: Pbyte;
	propertySecurity: Pbyte;
	hasValueFlag: Pbyte;
	moreFlag: Pbyte): word;
	
function NWGetObjectID (
	conn: word;
	objectName: Pchar;
	objectType: word;
	objectID: Plongint): word;
	
function NWGetObjectDiskSpaceLeft (
	conn: word;
	objectID: longint;
	systemElapsedTime: Plongint;
	unusedDiskBlocks: Plongint;
	restrictionEnforced: Pbyte): word;
	
function NWGetObjectName (
	conn: word;
	objectID: longint;
	objectName: Pchar;
	objectType: Pword): word;
	
function NWScanObject (
	conn: word;
	searchName: Pchar;
	searchType: word;
	objectID: Plongint;
	objectName: Pchar;
	objectType: Pword;
	hasPropertiesFlag: Pbyte;
	objectFlags: Pbyte;
	objectSecurity: Pbyte): word;
	
function NWGetBinderyAccessLevel (
	conn: word;
	accessLevel: Pbyte;
	objectID: Plongint): word;
	
function NWCreateProperty (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	propertyFlags: byte;
	propertySecurity: byte): word;
	
function NWDeleteProperty (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar): word;
	
function NWChangePropertySecurity (
	conn: word;
	objectName: Pchar;
	objectType: word;
	propertyName: Pchar;
	newPropertySecurity: byte): word;
	
function NWCreateObject (
	conn: word;
	objectName: Pchar;
	objectType: word;
	objectFlags: byte;
	objectSecurity: byte): word;
	
function NWDeleteObject (
	conn: word;
	objectName: Pchar;
	objectType: word): word;
	
function NWRenameObject (
	conn: word;
	oldObjectName: Pchar;
	newObjectName: Pchar;
	objectType: word): word;
	
function NWChangeObjectSecurity (
	conn: word;
	objectName: Pchar;
	objectType: word;
	newObjectSecurity: byte): word;
	
function NWOpenBindery (
	conn: word): word;
	
function NWCloseBindery (
	conn: word): word;
	
function NWScanObjectTrusteePaths (
	conn: word;
	objectID: longint;
	volNumber: word;
	sequenceNumber: Pword;
	accessRights: Pbyte;
	dirPath: Pchar): word;
	
function NWGetObjectEffectiveRights (
	conn: word;
	objectID: longint;
	dirHandle: byte;
	path: Pchar;
	rightsMask: Pword): word;
	
function NWGetConnInfo (
	conn: word;
	_type: word;
	data: pointer): word;

function NWLockConnection (
	conn: word): word;

function NWGetConnectionUsageStats (
	conn: word;
	connNumber: word;
	statusBuffer: PCONN_USE): word;

function NWGetConnectionInformation (
	conn: word;
	connNumber: word;
	objectName: Pchar;
	objectType: Pword;
	objectID: Plongint;
	loginTime: Pbyte): word;

function NWGetInternetAddress (
	conn: word;
	connNumber: word;
	internetAddress: Pbyte): word;
	
function NWGetInetAddr (
	conn: word;
	connNum: word;
	inetAddr: PNWINET_ADDR): word;
	
procedure NWGetMaximumConnections (
	maxConnections: Pword);
	
function NWGetConnectionList (
	mode: word;
	connListBuffer: Pword;
	connListSize: word;
	numConnections: Pword): word;
	
function NWGetConnectionStatus (
	conn: word;
	connInfo: PCONNECT_INFO;
	connInfoSize: word): word;
	
function NWGetConnectionNumber (
	conn: word;
	connNumber: Pword): word;

function NWClearConnectionNumber (
	conn: word;
	connNumber: word): word;

function NWGetDefaultConnectionID (
	conn: Pword): word;

function NWGetConnectionHandle (
	serverName: Pchar;
	mode: word;
	conn: Pword;
	connScope: Pword): word;

function NWSetPrimaryConnectionID (
	conn: word): word;

function NWGetPrimaryConnectionID (
	conn: Pword): word;

function NWGetObjectConnectionNumbers (
	conn: word;
	objectName: Pchar;
	objectType: word;
	numConnections: Pword;
	connList: Pword;
	maxConnections: word): word;

function NWGetConnListFromObject (
	conn: word;
	objectID: longint;
	searchConnNum: longint;
	connListLen: Pword;
	connList: Plongint): word;

function NWIsIDInUse (
	conn: word): word;

function NWGetPreferredServer (
	conn: Pword): word;

function NWSetPreferredServer (
	conn: word): word;

function NWPurgeDeletedFile (
	conn: word;
	dirHandle: byte;
	sequence: longint;
	volume: longint;
	dirBase: longint;
	fileName: Pbyte): word;

function NWRecoverDeletedFile (
	conn: word;
	dirHandle: byte;
	sequence: longint;
	volume: longint;
	dirBase: longint;
	deletedFileName: Pchar;
	recoverFileName: Pchar): word;
	
function NWScanForDeletedFiles (
	conn: word;
	dirHandle: byte;
	sequence: Plongint;
	volume: Plongint;
	dirBase: Plongint;
	entryInfo: PNWDELETED_INFO): word;
	
function NWPurgeErasedFiles (
	conn: word): word;
	
function NWRestoreErasedFile (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	oldName: Pchar;
	newName: Pchar): word;
	
function NWAddTrusteeToDirectory (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	trusteeID: longint;
	rightsMask: byte): word;
	
function NWDeleteTrusteeFromDirectory (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	objectID: longint): word;
	
function NWGetEffectiveDirectoryRights (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	rightsMask: Pword): word;
	
function NWModifyMaximumRightsMask (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	revokeRightsMask: byte;
	grantRightsMask: byte): word;
	
function NWScanDirectoryForTrustees (
	conn: word;
	dirHandle: byte;
	searchDirPath: Pchar;
	sequenceNumber: Pword;
	dirName: Pchar;
	dirDateTime: Plongint;
	ownerID: Plongint;
	trusteeIDs: Plongint;
	trusteeRights: Pbyte): word;
	
function NWScanDirectoryForTrustees2 (
	conn: word;
	dirHandle: byte;
	searchDirPath: Pchar;
	sequenceNumber: Plongint;
	dirName: Pchar;
	dirDateTime: Plongint;
	ownerID: Plongint;
	trusteeList: PTRUSTEE_INFO): word;
	
function NWIntScanDirectoryInformation (
	conn: word;
	dirHandle: byte;
	searchDirPath: Pchar;
	sequenceNumber: Pword;
	dirName: Pchar;
	dirDateTime: Plongint;
	ownerID: Plongint;
	rightsMask: Pbyte;
	augmentFlag: word): word;
	
function NWIntScanDirectoryInformation2 (
	conn: word;
	dirHandle: byte;
	searchDirPath: Pchar;
	sequenceNumber: Pbyte;
	dirName: Pchar;
	dirDateTime: Plongint;
	ownerID: Plongint;
	rightsMask: Pbyte;
	augmentFlag: word): word;
	
function NWSetDirectoryInformation (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	dirDateTime: longint;
	ownerID: longint;
	rightsMask: byte): word;
	
function NWSaveDirectoryHandle (
	conn: word;
	dirHandle: byte;
	saveBuffer: Pchar): word;
	
function NWRestoreDirectoryHandle (
	conn: word;
	saveBuffer: Pchar;
	newDirHandle: Pbyte;
	rightsMask: Pbyte): word;
	
function NWAllocPermanentDirectoryHandle (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	newDirHandle: Pbyte;
	effectiveRights: Pbyte): word;
	
function NWAllocTemporaryDirectoryHandle (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	newDirHandle: Pbyte;
	rightsMask: Pbyte): word;
	
function NWDeallocateDirectoryHandle (
	conn: word;
	dirHandle: byte): word;
	
function NWSetDirectoryHandlePath (
	conn: word;
	sourceDirHandle: byte;
	dirPath: Pchar;
	destDirHandle: byte): word;
	
function NWGetDirectoryHandlePath (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar): word;
	
function NWCreateDirectory (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	accessMask: byte): word;
	
function NWDeleteDirectory (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar): word;
	
function NWRenameDirectory (
	conn: word;
	dirHandle: byte;
	oldDirName: Pchar;
	newDirName: Pchar): word;
	
function NWSetDirSpaceLimit (
	conn: word;
	dirHandle: byte;
	spaceLimit: longint): word;
	
function NWGetDirSpaceLimitList (
	conn: word;
	dirHandle: byte;
	returnBuff: Pbyte): word;

function NWGetDirSpaceInfo (
	conn: word;
	dirHandle: byte;
	volNumber: word;
	spaceInfo: PDIR_SPACE_INFO): word;
	
function NWDeleteTrustee (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	objectID: longint): word;
	
function NWAddTrustee (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	objectID: longint;
	rightsMask: word): word;
	
function NWIntScanDirEntryInfo (
	conn: word;
	dirHandle: byte;
	attributes: word;
	sequence: Plongint;
	searchPattern: Pbyte;
	entryInfo: PNWENTRY_INFO;
	augmentFlag: word): word;
	
function NWIntScanForTrustees (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	sequence: Plongint;
	numberOfEntries: Pword;
	entryTrusteeInfo: PNWET_INFO;
	augmentFlag: word): word;
	
function NWIntMoveDirEntry (
	conn: word;
	searchAttribute: byte;
	sourceDirHandle: byte;
	sourcePath: Pchar;
	destDirHandle: byte;
	destPath: Pchar;
	augmentFlag: word): word;

function NWSetDirEntryInfo (
	conn: word;
	dirHandle: byte;
	searchAttribute: byte;
	sequence: longint;
	changeBits: longint;
	newEntryInfo: PNWENTRY_INFO): word;
	
function NWIntScanExtendedInfo (
	conn: word;
	dirHandle: byte;
	attributes: byte;
	sequence: Plongint;
	searchPattern: Pchar;
	entryInfo: PNW_EXT_FILE_INFO;
	augmentFlag: word): word;
	
function NWGetEffectiveRights (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	effectiveRights: Pword): word;

function NWSetDriveBase (
	driveNumber: word;
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	driveScope: word): word;
	
function NWGetInitDrive: integer;
	
function NWSetInitDrive (
	conn: word): word;
	
function NWSetInitDrive2 (
	conn: word;
	drive: integer): word;
	
function NWSetSearchDriveVector (
	vectorBuffer: Pchar): word;
	
function NWGetSearchDriveVector (
	vectorBuffer: Pchar): word;
	
function NWDeleteDriveBase (
	driveNumber: word;
	driveScope: word): word;
	
function NWGetPathFromDirectoryEntry (
	conn: word;
	volume: byte;
	dirEntry: word;
	length: Pbyte;
	pathName: Pbyte): word;
	
function NWGetDrivePath (
	driveNumber: word;
	mode: word;
	conn: Pword;
	basePath: Pchar;
	driveScope: Pword): word;
	
function NWGetDriveInformation (
	driveNumber: word;
	mode: word;
	conn: Pword;
	dirHandle: Pbyte;
	driveScope: Pword;
	dirPath: Pchar): word;
	
function NWGetDriveStatus (
	driveNumber: word;
	pathFormat: word;
	status: Pword;
	conn: Pword;
	rootPath: Pchar;
	relativePath: Pchar;
	fullPath: Pchar): word;
	
function NWGetFirstDrive (
	firstDrive: Pword): word;
	
function NWParseNetWarePath (
	path: Pchar;
	conn: Pword;
	dirHandle: Pbyte;
	newPath: Pchar): word;
	
function NWParsePath (
	path: Pchar;
	serverName: Pchar;
	conn: Pword;
	volName: Pchar;
	dirPath: Pchar): word;
	
function NWStripServerOffPath (
	path: Pchar;
	server: Pchar): Pchar;
	
function NWCreateUNCPath (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	UNCPath: Pchar): word;
	
function NWGetDirectoryBase (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	destNameSpace: byte;
	idxStruct: PNW_IDX): word;
	
function NWScanNSEntryInfo (
	conn: word;
	dirHandle: byte;
	nameSpace: byte;
	attributes: word;
	sequence: PSEARCH_SEQUENCE;
	searchPattern: Pchar;
	returnInfoMask: longint;
	entryInfo: PNW_ENTRY_INFO): word;
	
function NWGetNSLoadedList (
	conn: word;
	volNumber: byte;
	listBufferSize: byte;
	NSLoadedList: Pbyte;
	actualListSize: Pbyte): word;
	
function NWGetOwningNameSpace (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	nameSpace: Pbyte): word;
	
function NWOpenCreateNSEntry (
	conn: word;
	dirHandle: byte;
	nameSpace: byte;
	filePath: Pchar;
	NSOpenCreate: PNW_NS_OPENCREATE;
	fileHandle: Pword): word;
	
function NWOpenNSEntry (
	conn: word;
	dirHandle: byte;
	nameSpace: byte;
	dataStream: byte;
	filePath: Pchar;
	NSOpen: PNW_NS_OPEN;
	fileHandle: Pword): word;
	
function NWSetLongName (
	conn: word;
	dirHandle: byte;
	nameSpace: byte;
	destPath: Pchar;
	destType: word;
	longName: Pchar): word;

function NWWriteExtendedNSInfo (
	conn: word;
	idxStruct: PNW_IDX;
	NSInfo: PNW_NS_INFO;
	data: Pbyte): word;
	
function NWGetLongName (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	sourceNameSpace: byte;
	destNameSpace: byte;
	longName: Pchar): word;
	
function NWWriteNSInfo (
	conn: word;
	idxStruct: PNW_IDX;
	NSInfo: PNW_NS_INFO;
	data: Pbyte): word;
	
function NWGetNSInfo (
	conn: word;
	idxStruct: PNW_IDX;
	nsInfo: PNW_NS_INFO): word;
	
function NWReadNSInfo (
	conn: word;
	idxStruct: PNW_IDX;
	NSInfo: PNW_NS_INFO;
	data: Pbyte): word;
	
function NWReadExtendedNSInfo (
	conn: word;
	idxStruct: PNW_IDX;
	NSInfo: PNW_NS_INFO;
	data: Pbyte): word;
	
function NWGetNSPath (
	conn: word;
	dirHandle: byte;
	fileFlag: word;
	sourceNameSpace: byte;
	destNameSpace: byte;
	NSPath: PNW_NS_PATH): word;
	
function NWAllocTempNSDirHandle (
	conn: word;
	dirHandle: byte;
	dirPath: Pchar;
	nameSpace: byte;
	newDirHandle: Pbyte): word;
	
function NWAllocTempNSDirHandle2 (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	nameSpace: byte;
	newDirHandle: Pbyte;
	newNameSpace: byte): word;
	
function NWGetNSEntryInfo (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	sourceNameSpace: byte;
	destNameSpace: byte;
	searchAttributes: word;
	returnInfoMask: longint;
	entryInfo: PNW_ENTRY_INFO): word;
	
function NWNSGetMiscInfo (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	destNameSpace: byte;
	idxStruct: PNW_IDX): word;
	
function NWOpenDataStream (
	conn: word;
	dirHandle: byte;
	fileName: Pchar;
	dataStream: word;
	attributes: word;
	accessMode: word;
	NetWareHandle: Plongint;
	fileHandle: Pword): word;
	
function NWNSRename (
	conn: word;
	dirHandle: byte;
	nameSpace: byte;
	oldName: Pchar;
	oldType: word;
	newName: Pchar;
	renameFlag: byte): word;
	
function NWSetNSEntryDOSInfo (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	nameSpace: byte;
	searchAttributes: word;
	modifyDOSMask: longint;
	dosInfo: PMODIFY_DOS_INFO): word;
	
{function NWGetFullPath (
	conn: word;
	volNum: byte;
	dirBase: longint;
	handleFlag: word;
	srcNamSpc: integer;
	dstNamSpc: integer;
	maxPathLen: word;
	path: Pchar;
	pathType: Pword): word;}
	
function __NWGetCurNS (
	conn: word;
	dirHandle: byte;
	path: Pchar): word;
	
function NWCloseEA (
	EAHandle: PNW_EA_HANDLE): word;
	
function NWFindFirstEA (
	conn: word;
	idxStruct: PNW_IDX;
	ffStruct: PNW_EA_FF_STRUCT;
	EAHandle: PNW_EA_HANDLE;
	EAName: Pchar): word;
	
function NWFindNextEA (
	ffStruct: PNW_EA_FF_STRUCT;
	EAHandle: PNW_EA_HANDLE;
	EAName: Pchar): word;
	
function NWReadEA (
	EAHandle: PNW_EA_HANDLE;
	bufferSize: longint;
	buffer: Pbyte;
	totalEASize: Plongint;
	amountRead: Plongint): word;
	
function NWWriteEA (
	EAHandle: PNW_EA_HANDLE;
	totalWriteSize: longint;
	bufferSize: longint;
	buffer: Pbyte;
	amountWritten: Plongint): word;
	
function NWGetEAHandleStruct (
	conn: word;
	EAName: Pchar;
	idxStruct: PNW_IDX;
	EAHandle: PNW_EA_HANDLE): word;
	
function NWOpenEA (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	EAName: Pchar;
	nameSpace: byte;
	EAHandle: PNW_EA_HANDLE): word;
	
function NWSetCompressedFileSize (
	conn: word;
	fileHandle: longint;
	reqFileSize: longint;
	resFileSize: Plongint): word;
	
function NWFileServerFileCopy (
	srcFileHandle: word;
	dstFileHandle: word;
	srcOffset: longint;
	dstOffset: longint;
	bytesToCopy: longint;
	bytesCopied: Plongint): word;
	
function NWGetFileConnectionID (
	fileHandle: word;
	conn: Pword): word;
	
function NWIntFileSearchInitialize (
	conn: word;
	dirHandle: byte;
	path: Pbyte;
	volNumber: Pbyte;
	dirID: Pword;
	sequenceNumber: Pword;
	accessRights: Pbyte;
	augmentFlag: word): word;
	
function NWIntFileSearchContinue (
	conn: word;
	volNum: byte;
	dirID: word;
	searchContext: word;
	searchAttributes: byte;
	searchPath: Pchar;
	returnBuffer: Pchar;
	augmentFlag: word): word;
	
function NWIntScanFileInformation (
	conn: word;
	dirHandle: byte;
	filePattern: Pchar;
	searchAttributes: byte;
	sequenceNumber: Pinteger;
	info: PNW_FILE_INFO;
	augmentFlag: word): word;
	
function NWSetFileInformation (
	conn: word;
	dirHandle: byte;
	filePattern: Pchar;
	searchAttributes: byte;
	info: PNW_FILE_INFO): word;
	
function NWSetFileInformation2 (
	conn: word;
	dirHandle: byte;
	filePattern: Pchar;
	searchAttributes: byte;
	info: PNW_FILE_INFO2): word;
	
function NWIntScanFileInformation2 (
	conn: word;
	dirHandle: byte;
	filePattern: Pchar;
	searchAttributes: byte;
	sequenceNumber: Pbyte;
	info: PNW_FILE_INFO2;
	augmentFlag: word): word; {BUG !!!!!!!!!!}
	
function NWSetFileAttributes (
	conn: word;
	dirHandle: byte;
	fileName: Pchar;
	searchAttributes: byte;
	newAttributes: byte): word;
	
function NWGetExtendedFileAttributes2 (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	extendedAttributes: Pbyte): word;
	
function NWScanConnectionsUsingFile (
	conn: word;
	dirHandle: byte;
	filePath: Pchar;
	lastRecord: Pinteger;
	fileUse: PCONN_USING_FILE;
	fileUsed: PCONNS_USING_FILE): word;
	
function NWScanOpenFilesByConn2 (
	conn: word;
	connNum: word;
	lastRecord: Pinteger;
	openCtrl: POPEN_FILE_CONN_CTRL;
	openFile: POPEN_FILE_CONN): word;
	
function NWScanOpenFilesByConn (
	conn: word;
	connNumber: word;
	lastRecord: Pinteger;
	openFile: PCONN_OPEN_FILE;
	openFiles: PCONN_OPEN_FILES): word;
	
function NWSetExtendedFileAttributes2 (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	extendedAttributes: byte): word;
	
function NWRenameFile (
	conn: word;
	oldDirHandle: byte;
	oldFileName: Pchar;
	searchAttributes: byte;
	newDirHandle: byte;
	newFileName: Pchar): word;
	
function NWIntEraseFiles (
	conn: word;
	dirHandle: byte;
	filePath: Pchar;
	searchAttributes: byte;
	augmentFlag: word): word;
	
function NWGetSparseFileBitMap (
	conn: word;
	fileHandle: longint;
	flag: integer;
	offset: longint;
	blockSize: Plongint;
	bitMap: Pbyte): word;
	
function NWLogPhysicalRecord (
	fileHandle: word;
	recordStartOffset: longint;
	recordLength: longint;
	lockFlags: byte;
	timeOut: word): word;
	
function NWLockPhysicalRecordSet (
	lockFlags: byte;
	timeOut: word): word;
	
function NWReleasePhysicalRecordSet: word;
	
function NWClearPhysicalRecordSet: word;
	
function NWReleasePhysicalRecord (
	fileHandle: word;
	recordStartOffset: longint;
	recordSize: longint): word;
	
function NWClearPhysicalRecord (
	fileHandle: word;
	recordStartOffset: longint;
	recordSize: longint): word;
	
function NWLockFileLockSet (
	timeOut: word): word;
	
function NWReleaseFileLockSet: word;
	
function NWClearFileLockSet: word;
	
function NWClearFileLock2 (
	conn: word;
	dirHandle: byte;
	path: Pchar): word;
	
function NWReleaseFileLock2 (
	conn: word;
	dirHandle: byte;
	path: Pchar): word;
	
function NWLogFileLock2 (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	lockFlags: byte;
	timeOut: word): word;
	
function NWLogLogicalRecord (
	conn: word;
	logicalRecordName: Pchar;
	lockFlags: byte;
	timeOut: word): word;
	
function NWLockLogicalRecordSet (
	lockFlags: byte;
	timeOut: word): word;
	
function NWReleaseLogicalRecordSet: word;
	
function NWClearLogicalRecordSet: word;
	
function NWReleaseLogicalRecord (
	conn: word;
	logicalRecordName: Pchar): word;
	
function NWClearLogicalRecord (
	conn: word;
	logicalRecordName: Pchar): word;
	
procedure NWUnpackDateTime (
	dateTime: longint;
	sDate: PNW_DATE;
	sTime: PNW_TIME);
	
procedure NWUnpackDate (
	date: word;
	sDate: PNW_DATE);
	
procedure NWUnpackTime (
	time: word;
	sTime: PNW_TIME);
	
function NWPackDateTime (
	sDate: PNW_DATE;
	sTime: PNW_TIME): longint;
	
function NWPackDate (
	sDate: PNW_DATE): word;
	
function NWPackTime (
	sTime: PNW_TIME): word;
	
procedure NWConvertDateTime (
	dateTime: longint;
	sDate: PNW_DATE;
	sTime: PNW_TIME);
	
procedure NWConvertDate (
	date: word;
	sDate: PNW_DATE);
	
procedure NWConvertTime (
	time: word;
	sTime: PNW_TIME);
	
function NWRequest (
	conn: word;
	_function: word;
	numReqFrags: word;
	reqFrags: PNW_FRAGMENT;
	numReplyFrags: word;
	replyFrags: PNW_FRAGMENT): word;
	
{function NWRequest2 (
	conn: word;
	_function: word;
	numReqFrags: word;
	reqFrags: PNW_FRAGMENT;
	numReplyFrags: word;
	replyFrags: PNW_FRAGMENT;
	actualReplyLen: Pword): word;}
	
function _NWGetRequesterType (
	_type: PNW_REQUESTER_TYPE): word;

function NWWordSwap (
	swapWord: word): word;
	
function NWLongSwap (
	swapLong: longint): longint;
	
function NWInitDBCS: integer;
	
function NWConvertPathToDirEntry (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	dirEntry: PDIR_ENTRY): word;
	
function NWGetTaskInformationByConn (
	conn: word;
	connNum: word;
	taskInfo: PCONN_TASK_INFO): word;
	
function NWGetRequesterVersion (
	majorVer: Pbyte;
	minorVer: Pbyte;
	revision: Pbyte): word;
	
function NWIsLNSSupportedOnVolume (
	conn: word;
	dirHandle: byte;
	path: Pchar): word;
	
function _NWConvertHandle (
	conn: word;
	accessMode: byte;
	NWHandle: Pbyte;
	fileSize: longint;
	fileHandle: Pword): word;
	
function NWConvertFileHandle (
	fileHandle: integer;
	handleType: word;
	NWHandle: Pbyte;
	conn: Pword): word;
	
procedure _NWConvert4ByteTo6ByteHandle (
	NW4ByteHandle: Pbyte;
	NW6ByteHandle: Pbyte);
	
function NWEndOfJob: word;
	
function NWCallsInit (
	_in: pointer;
	out: pointer): word;
	
function __NWGetNWCallsState: word;
	
function NWSetNetWareErrorMode (
	errorMode: byte;
	prevMode: Pbyte): word;

function NWSetEndOfJobStatus (
	endOfJobStatus: byte;
	prevStatus: Pbyte): word;
	
procedure NWGetNWCallsVersion (
	majorVer: Pbyte;
	minorVer: Pbyte;
	revLevel: Pbyte;
	betaLevel: Pbyte);
	
function NWConvertHandle (
	conn: word;
	accessMode: byte;
	NWHandle: pointer;
	handleSize: word;
	fileSize: longint;
	fileHandle: Pword): word;
	
function NWCloseFile (
	conn: word;
	NWHandle: pointer;
	handleSize: word): word;

{function NWShellRequest (
	p1: PREGISTERS;
	p2: word): integer;

function NWVLMRequest (
	callerID: word;
	destID: word;
	destFunc: word;
	regs: PREGISTERS;
	mask: word): word;}

function NWDisableBroadcasts (
	conn: word): word;

function NWEnableBroadcasts (
	conn: word): word;

function NWSendBroadcastMessage (
	conn: word;
	message: Pchar;
	connCount: word;
	connList: Pword;
	resultList: Pbyte): word;
	
function NWGetBroadcastMessage (
	conn: word;
	message: Pchar): word;
	
function NWGetBroadcastMode (
	conn: word;
	mode: Pword): word;
	
function NWSetBroadcastMode (
	conn: word;
	mode: word): word;
	
function NWBroadcastToConsole (
	conn: word;
	message: Pchar): word;
	
function NWSendConsoleBroadcast (
	conn: word;
	message: Pchar;
	connCount: word;
	connList: Pword): word;

function NWGetPrinterDefaults (
	status: Pbyte;
	flags: Pbyte;
	tabSize: Pbyte;
	serverPrinter: Pbyte;
	numberCopies: Pbyte;
	formType: Pbyte;
	bannerText: Pchar;
	localLPTDevice: Pbyte;
	captureTimeOutCount: Pword;
	captureOnDeviceClose: Pbyte): word;
	
function NWSetPrinterDefaults (
	flags: byte;
	tabSize: byte;
	serverPrinter: byte;
	numberCopies: byte;
	formType: byte;
	bannerText: Pchar;
	localLPTDevice: byte;
	captureTimeOutCount: word;
	captureOnDeviceClose: byte): word;

function NWStartLPTCapture (
	p1: word): word;
	
function NWGetLPTCaptureStatus (
	p1: Pword): word;

function NWStartFileCapture (
	conn: word;
	LPTDevice: byte;
	dirhandle: byte;
	filePath: Pchar): word;
	
function NWStartFileCapture2 (
	conn: word;
	LPTDevice: byte;
	dirHandle: byte;
	filePath: Pchar;
	flags: word): word;
	
{function NWSpoolStartCapture (
	deviceID: word;
	queueID: longint;
	conn: word;
	scope: word): word;}

function NWSpoolEndCapture (
	deviceID: word;
	scope: word): word;
	
function NWSpoolCancelCapture (
	deviceID: word;
	scope: word): word;
	
function NWSpoolGetBannerUserName (
	username: Pchar;
	mode: word;
	scope: Pword): word;
	
function NWSpoolSetBannerUserName (
	username: Pchar;
	scope: word): word;
	
function NWGetPrinterStatus (
	conn: word;
	printerNumber: word;
	status: PPRINTER_STATUS): word;
	
function NWStartQueueCapture (
	conn: word;
	LPTDevice: byte;
	queueID: longint;
	queueName: Pchar): word;
	
function NWGetCaptureStatus (
	LPTDevice: byte): word;
	
function NWFlushCapture (
	LPTDevice: byte): word;
	
function NWEndCapture (
	LPTDevice: byte): word;
	
function NWCancelCapture (
	LPTDevice: byte): word;
	
function NWGetBannerUserName (
	userName: Pchar): word;
	
function NWSetBannerUserName (
	userName: Pchar): word;
	
function NWGetCaptureFlags (
	LPTDevice: byte;
	captureFlags1: PNWCAPTURE_FLAGSRW;
	captureFlags2: PNWCAPTURE_FLAGSRO): word;
	
function NWSetCaptureFlags (
	conn: word;
	LPTDevice: byte;
	captureFlags1: PNWCAPTURE_FLAGSRW): word;
	
function NWGetPrinterStrings (
	LPTDevice: byte;
	setupStringLen: Pword;
	setupString: Pchar;
	resetStringLen: Pword;
	resetString: Pchar): word;
	
function NWSetPrinterStrings (
	LPTDevice: byte;
	setupStringLen: word;
	setupString: Pchar;
	resetStringLen: word;
	resetString: Pchar): word;
	
function NWGetMaxPrinters (
	numPrinters: Pword): word;
	
function NWCreateQueueFile (
	conn: word;
	queueID: longint;
	job: PQueueJobStruct;
	fileHandle: Pword): word;
	
function NWCreateQueueFile2 (
	conn: word;
	queueID: longint;
	job: PNWQueueJobStruct;
	fileHandle: Pword): word;
	
function NWCloseFileAndStartQueueJob (
	conn: word;
	queueID: longint;
	jobNumber: word;
	fileHandle: word): word;
	
function NWCloseFileAndStartQueueJob2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	fileHandle: word): word;
	
function NWCloseFileAndAbortQueueJob (
	conn: word;
	queueID: longint;
	jobNumber: word;
	fileHandle: word): word;
	
function NWCloseFileAndAbortQueueJob2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	fileHandle: word): word;
	
function NWRemoveJobFromQueue (
	conn: word;
	queueID: longint;
	jobNumber: word): word;
	
function NWRemoveJobFromQueue2 (
	conn: word;
	queueID: longint;
	jobNumber: longint): word;
	
function NWGetQueueJobList (
	conn: word;
	queueID: longint;
	jobCount: Pword;
	jobList: Pword): word;
	
function NWGetQueueJobList2 (
	conn: word;
	queueID: longint;
	queueStartPosition: longint;
	job: PQueueJobListReply): word;
	
function NWReadQueueJobEntry (
	conn: word;
	queueID: longint;
	jobNumber: word;
	job: PQueueJobStruct): word;
	
function NWReadQueueJobEntry2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	job: PNWQueueJobStruct): word;
	
function NWGetQueueJobFileSize (
	conn: word;
	queueID: longint;
	jobNumber: word;
	fileSize: Plongint): word;
	
function NWGetQueueJobFileSize2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	fileSize: Plongint): word;
	
function NWChangeQueueJobEntry (
	conn: word;
	queueID: longint;
	job: PQueueJobStruct): word;
	
function NWChangeQueueJobEntry2 (
	conn: word;
	queueID: longint;
	job: PNWQueueJobStruct): word;
	
function NWChangeQueueJobPosition (
	conn: word;
	queueID: longint;
	jobNumber: word;
	newJobPosition: byte): word;
	
function NWChangeQueueJobPosition2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	newJobPosition: longint): word;
	
function NWServiceQueueJob (
	conn: word;
	queueID: longint;
	targetJobType: word;
	job: PQueueJobStruct;
	fileHandle: Pword): word;
	
function NWServiceQueueJob2 (
	conn: word;
	queueID: longint;
	targetJobType: word;
	job: PNWQueueJobStruct;
	fileHandle: Pword): word;
	
function NWAbortServicingQueueJob (
	conn: word;
	queueID: longint;
	jobNumber: word;
	fileHandle: word): word;
	
function NWAbortServicingQueueJob2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	fileHandle: word): word;
	
function NWChangeToClientRights (
	conn: word;
	queueID: longint;
	jobNumber: word): word;
	
function NWChangeToClientRights2 (
	conn: word;
	queueID: longint;
	jobNumber: longint): word;
	
function NWFinishServicingQueueJob (
	conn: word;
	queueID: longint;
	jobNumber: word;
	fileHandle: word): word;
	
function NWFinishServicingQueueJob2 (
	conn: word;
	queueID: longint;
	jobNumber: longint;
	fileHandle: word): word;
	
function NWGetPrinterQueueID (
	conn: word;
	printerNumber: word;
	queueID: Plongint): word;
	
function NWCreateQueue (
	conn: word;
	queueName: Pchar;
	queueType: word;
	dirPath: byte;
	pathName: Pchar;
	queueID: Plongint): word;
	
function NWDestroyQueue (
	conn: word;
	queueID: longint): word;
	
function NWReadQueueCurrentStatus (
	conn: word;
	queueID: longint;
	queueStatus: Pbyte;
	numberOfJobs: Pword;
	numberOfServers: Pword;
	serverIDlist: Plongint;
	serverConnList: Pword): word;

function NWReadQueueCurrentStatus2 (
	conn: word;
	queueID: longint;
	queueStatus: Plongint;
	numberOfJobs: Plongint;
	numberOfServers: Plongint;
	serverIDlist: Plongint;
	serverConnList: Plongint): word;
	
function NWSetQueueCurrentStatus (
	conn: word;
	queueID: longint;
	queueStatus: byte): word;
	
function NWSetQueueCurrentStatus2 (
	conn: word;
	queueID: longint;
	queueStatus: longint): word;
	
function NWReadQueueServerCurrentStatus (
	conn: word;
	queueID: longint;
	serverID: longint;
	serverConnection: word;
	statusRecord: pointer): word;
	
function NWReadQueueServerCurrentStatus2 (
	conn: word;
	queueID: longint;
	serverID: longint;
	serverConnection: longint;
	statusRecord: pointer): word;
	
function NWAttachQueueServerToQueue (
	conn: word;
	queueID: longint): word;
	
function NWDetachQueueServerFromQueue (
	conn: word;
	queueID: longint): word;
	
function NWRestoreQueueServerRights (
	conn: word): word;
	
function NWSetQueueServerCurrentStatus (
	conn: word;
	queueID: longint;
	statusRecord: pointer): word;
	
function NWGetPhysicalDiskStats (
	conn: word;
	physicalDiskNumber: byte;
	statBuffer: PPHYS_DSK_STATS): word;
	
function NWGetFileSystemStats (
	conn: word;
	statBuffer: PFILESYS_STATS): word;
	
function NWGetDiskChannelStats (
	conn: word;
	channelNumber: byte;
	statBuffer: PDSK_CHANNEL_STATS): word;
	
function NWGetDiskCacheStats (
	conn: word;
	statBuffer: PDSK_CACHE_STATS): word;
	
function NWGetFSDriveMapTable (
	conn: word;
	tableBuffer: PDRV_MAP_TABLE): word;
	
function NWGetFSLANDriverConfigInfo (
	conn: word;
	lanBoardNumber: byte;
	lanConfig: PNWLAN_CONFIG): word;
	
function NWGetFileServerLANIOStats (
	conn: word;
	statBuffer: PSERVER_LAN_IO_STATS): word;
	
function NWCheckConsolePrivileges (
	conn: word): word;
	
function NWDownFileServer (
	conn: word;
	forceFlag: byte): word;
	
function NWGetFileServerDateAndTime (
	conn: word;
	dateTimeBuffer: Pbyte): word;
	
function NWSetFileServerDateAndTime (
	conn: word;
	year: byte;
	month: byte;
	day: byte;
	hour: byte;
	minute: byte;
	second: byte): word;
	
function NWCheckNetWareVersion (
	conn: word;
	minimumVersion: word;
	minimumSubVersion: word;
	minimumRevision: word;
	minimumSFT: word;
	minimumTTS: word;
	compatibilityFlag: Pbyte): word;
	
function NWGetFileServerVersionInfo (
	conn: word;
	versBuffer: PVERSION_INFO): word;
	
function NWGetFileServerInformation (
	conn: word;
	serverName: Pchar;
	majorVersion: Pbyte;
	minorVersion: Pbyte;
	revision: Pbyte;
	maxConnections: Pword;
	maxConnectionsUsed: Pword;
	connectionsInUse: Pword;
	numVolumes: Pword;
	SFTLevel: Pbyte;
	TTSLevel: Pbyte): word;
	
function NWGetFileServerExtendedInfo (
	conn: word;
	accountingVersion: Pbyte;
	VAPversion: Pbyte;
	queueingVersion: Pbyte;
	printServerVersion: Pbyte;
	virtualConsoleVersion: Pbyte;
	securityVersion: Pbyte;
	internetBridgeVersion: Pbyte): word;
	
function _NWGetFileServerType (
	conn: word;
	typeFlag: word;
	serverType: Pword): word;
	
function NWAttachToFileServer (
	serverName: Pchar;
	scopeFlag: word;
	newConnID: Pword): word;
	
function NWGetFileServerLoginStatus (
	conn: word;
	loginEnabledFlag: Pbyte): word;
	
function NWDetachFromFileServer (
	conn: word): word;
	
function NWGetFileServerName (
	conn: word;
	serverName: Pchar): word;
	
function NWLogoutFromFileServer (
	conn: word): word;
	
function NWLoginToFileServer (
	conn: word;
	objectName: Pchar;
	objectType: word;
	password: Pchar): word;

function NWEnableFileServerLogin (
	conn: word): word;
	
function NWDisableFileServerLogin (
	conn: word): word;
	
function NWGetFileServerDescription (
	conn: word;
	companyName: Pchar;
	revision: Pchar;
	revisionDate: Pchar;
	copyrightNotice: Pchar): word;
	
function NWGetFileServerVersion (
	conn: word;
	serverVersion: Pword): word;
	
function NWAttachToFileServerByConn (
	conn: word;
	serverName: Pchar;
	scopeFlag: word;
	newConnID: Pword): word;

function NWGetNetworkSerialNumber (
	conn: word;
	serialNum: Plongint;
	appNum: Pword): word;
	
function NWIsManager (
	conn: word): word;
	
function NWGetFileServerMiscInfo (
	conn: word;
	fsInfo: PNW_FS_INFO): word;
	
function NWScanPhysicalLocksByFile (
	conn: word;
	dirHandle: byte;
	filePath: Pchar;
	dataStream: byte;
	lastRecord: Pinteger;
	lock: PPHYSICAL_LOCK;
	locks: PPHYSICAL_LOCKS): word;
	
function NWScanLogicalLocksByConn (
	conn: word;
	connNumber: word;
	lastRecord: Pinteger;
	logicalLock: PCONN_LOGICAL_LOCK;
	logicalLocks: PCONN_LOGICAL_LOCKS): word;
	
function NWScanPhysicalLocksByConnFile (
	conn: word;
	connNumber: word;
	dirHandle: byte;
	path: Pchar;
	dataStream: byte;
	lastRecord: Pinteger;
	lock: PCONN_PHYSICAL_LOCK;
	locks: PCONN_PHYSICAL_LOCKS): word;
	
function NWScanLogicalLocksByName (
	conn: word;
	logicalName: Pchar;
	lastRecord: Pinteger;
	logicalLock: PLOGICAL_LOCK;
	logicalLocks: PLOGICAL_LOCKS): word;
	
function NWScanSemaphoresByConn (
	conn: word;
	connNumber: word;
	lastRecord: Pinteger;
	semaphore: PCONN_SEMAPHORE;
	semaphores: PCONN_SEMAPHORES): word;
	
function NWScanSemaphoresByName (
	conn: word;
	semaphoreName: Pchar;
	lastRecord: Pinteger;
	semaphore: PSEMAPHORE;
	semaphores: PSEMAPHORES): word;
	
function NWSignalSemaphore (
	conn: word;
	semaphoreHandle: longint): word;
	
function NWCloseSemaphore (
	conn: word;
	semaphoreHandle: longint): word;
	
function NWOpenSemaphore (
	conn: word;
	semaphoreName: Pchar;
	initSemaphoreHandle: integer;
	semaphoreHandle: Plongint;
	semaphoreOpenCount: Pword): word;
	
function NWExamineSemaphore (
	conn: word;
	semaphoreHandle: longint;
	semaphoreValue: Pinteger;
	semaphoreOpenCount: Pword): word;
	
function NWWaitOnSemaphore (
	conn: word;
	semaphoreHandle: longint;
	timeOutValue: word): word;
	
function NWTTSAbortTransaction (
	conn: word): word;
	
function NWTTSBeginTransaction (
	conn: word): word;
	
function NWTTSIsAvailable (
	conn: word): word;
	
function NWTTSGetControlFlags (
	conn: word;
	controlFlags: Pbyte): word;
	
function NWTTSSetControlFlags (
	conn: word;
	controlFlags: byte): word;
	
function NWTTSEndTransaction (
	conn: word;
	transactionNum: Plongint): word;
	
function NWTTSTransactionStatus (
	conn: word;
	transactionNum: longint): word;

function NWTTSGetProcessThresholds (
	conn: word;
	logicalLockLevel: Pbyte;
	physicalLockLevel: Pbyte): word;

function NWTTSSetProcessThresholds (
	conn: word;
	logicalLockLevel: byte;
	physicalLockLevel: byte): word;
	
function NWTTSGetConnectionThresholds (
	conn: word;
	logicalLockLevel: Pbyte;
	physicalLockLevel: Pbyte): word;
	
function NWTTSSetConnectionThresholds (
	conn: word;
	logicalLockLevel: byte;
	physicalLockLevel: byte): word;
	
function NWEnableTTS (
	conn: word): word;

function NWDisableTTS (
	conn: word): word;
	
function NWGetTTSStats (
	conn: word;
	ttsStats: PTTS_STATS): word;
	
function NWGetDiskUtilization (
	conn: word;
	objectID: longint;
	volumeNumber: byte;
	usedDirectories: Pword;
	usedFiles: Pword;
	usedBlocks: Pword): word;
	
function NWGetObjDiskRestrictions (
	conn: word;
	volNumber: byte;
	objectID: longint;
	restriction: Plongint;
	inUse: Plongint): word;
	
function NWScanVolDiskRestrictions (
	conn: word;
	volNumber: byte;
	sequence: Plongint;
	volInfo: PNWVolumeRestrictions): word;

function NWScanVolDiskRestrictions2 (
	conn: word;
	volNum: byte;
	seq: Plongint;
	volInfo: PNWVOL_RESTRICTIONS): word;
	
function NWRemoveObjectDiskRestrictions (
	conn: word;
	volNumber: byte;
	objectID: longint): word;
	
function NWSetObjectVolSpaceLimit (
	conn: word;
	volNumber: word;
	objectID: longint;
	restriction: longint): word;
	
function NWGetVolumeInfoWithHandle (
	conn: word;
	dirHandle: byte;
	volName: Pchar;
	totalBlocks: Pword;
	sectorsPerBlock: Pword;
	availableBlocks: Pword;
	totalDirEntries: Pword;
	availableDirEntries: Pword;
	volIsRemovableFlag: Pword): word;
	
function NWGetVolumeInfoWithNumber (
	conn: word;
	volNumber: word;
	volName: Pchar;
	totalBlocks: Pword;
	sectorsPerBlock: Pword;
	availableBlocks: Pword;
	totalDirEntries: Pword;
	availableDirEntries: Pword;
	volIsRemovableFlag: Pword): word;
	
function NWGetVolumeName (
	conn: word;
	volNum: word;
	volName: Pchar): word;
	
function NWGetVolumeNumber (
	conn: word;
	volName: Pchar;
	volNumber: Pword): word;
	
function NWGetVolumeStats (
	conn: word;
	volumeNumber: byte;
	volInfo: PVOL_STATS): word;
	
function NWGetExtendedVolumeInfo (
	conn: word;
	volNumber: word;
	volInfo: PNWVolExtendedInfo): word;
	
function NWGetAccountStatus (
	conn: word;
	objectType: word;
	objectName: Pchar;
	balance: Plongint;
	limit: Plongint;
	holds: PHOLDS_STATUS): word;
	
function NWQueryAccountingInstalled (
	conn: word;
	installed: Pbyte): word;
	
function NWSubmitAccountCharge (
	conn: word;
	objectType: word;
	objectName: Pchar;
	serviceType: word;
	chargeAmount: longint;
	holdCancelAmount: longint;
	noteType: word;
	note: Pchar): word;
	
function NWSubmitAccountHold (
	conn: word;
	objectType: word;
	objectName: Pchar;
	holdAmount: longint): word;

function NWSubmitAccountNote (
	conn: word;
	objectType: word;
	objectName: Pchar;
	serviceType: word;
	noteType: word;
	note: Pchar): word;
	
function NWGetCacheInfo (
	conn: word;
	fseCacheInfo: PNWFSE_CACHE_INFO): word;
	
function NWGetFileServerInfo (
	conn: word;
	fseFileServerInfo: PNWFSE_FILE_SERVER_INFO): word;
	
function NWGetNetWareFileSystemsInfo (
	conn: word;
	fseFileSystemInfo: PNWFSE_FILE_SYSTEM_INFO): word;
	
function NWGetUserInfo (
	conn: word;
	connNum: longint;
	userName: Pchar;
	fseUserInfo: PNWFSE_USER_INFO): word;
	
function NWGetPacketBurstInfo (
	conn: word;
	fsePacketBurstInfo: PNWFSE_PACKET_BURST_INFO): word;
	
function NWGetIPXSPXInfo (
	conn: word;
	fseIPXSPXInfo: PNWFSE_IPXSPX_INFO): word;
	
function NWGetGarbageCollectionInfo (
	conn: word;
	fseGarbageCollectionInfo: PNWFSE_GARBAGE_COLLECTION_INFO): word;
	
function NWGetCPUInfo (
	conn: word;
	CPUNum: longint;
	CPUString: Pchar;
	numericCoprocessorString: Pchar;
	busString: Pchar;
	fseCPUInfo: PNWFSE_CPU_INFO): word;

function NWGetVolumeSwitchInfo (
	conn: word;
	startNum: longint;
	fseVolumeSwitchInfo: PNWFSE_VOLUME_SWITCH_INFO): word;
	
function NWGetNLMLoadedList (
	conn: word;
	startNum: longint;
	fseNLMLoadedList: PNWFSE_NLM_LOADED_LIST): word;
	
function NWGetNLMInfo (
	conn: word;
	NLMNum: longint;
	fileName: Pchar;
	name: Pchar;
	copyright: Pchar;
	fseNLMInfo: PNWFSE_NLM_INFO): word;
	
function NWGetDirCacheInfo (
	conn: word;
	fseDirCacheInfo: PNWFSE_DIR_CACHE_INFO): word;
	
function NWGetOSVersionInfo (
	conn: word;
	fseOSVersionInfo: PNWFSE_OS_VERSION_INFO): word;
	
function NWGetActiveConnListByType (
	conn: word;
	startConnNum: longint;
	connType: longint;
	fseActiveConnListByType: PNWFSE_ACTIVE_CONN_LIST): word;
	
function NWGetNLMsResourceTagList (
	conn: word;
	NLMNum: longint;
	startNum: longint;
	fseNLMsResourceTagList: PNWFSE_NLMS_RESOURCE_TAG_LIST): word;
	
function NWGetActiveLANBoardList (
	conn: word;
	startNum: longint;
	fseActiveLANBoardList: PNWFSE_ACTIVE_LAN_BOARD_LIST): word;
	
function NWGetLANConfigInfo (
	conn: word;
	boardNum: longint;
	fseLANConfigInfo: PNWFSE_LAN_CONFIG_INFO): word;
	
function NWGetLANCommonCountersInfo (
	conn: word;
	boardNum: longint;
	blockNum: longint;
	fseLANCommonCountersInfo: PNWFSE_LAN_COMMON_COUNTERS_INFO): word;
	
function NWGetLANCustomCountersInfo (
	conn: word;
	boardNum: longint;
	startingNum: longint;
	fseLANCustomInfo: PNWFSE_LAN_CUSTOM_INFO): word;
	
function NWGetLSLInfo (
	conn: word;
	fseLSLInfo: PNWFSE_LSL_INFO): word;
	
function NWGetLSLLogicalBoardStats (
	conn: word;
	LANBoardNum: longint;
	fseLSLLogicalBoardStats: PNWFSE_LSL_LOGICAL_BOARD_STATS): word;

function NWGetMediaMgrObjInfo (
	conn: word;
	objNum: longint;
	fseMediaMgrObjInfo: PNWFSE_MEDIA_MGR_OBJ_INFO): word;
	
function NWGetMediaMgrObjList (
	conn: word;
	startNum: longint;
	objType: longint;
	fseMediaMgrObjList: PNWFSE_MEDIA_MGR_OBJ_LIST): word;
	
function NWGetMediaMgrObjChildrenList (
	conn: word;
	startNum: longint;
	objType: longint;
	parentObjNum: longint;
	fseMediaMgrObjList: PNWFSE_MEDIA_MGR_OBJ_LIST): word;
	
function NWGetVolumeSegmentList (
	conn: word;
	volumeNum: longint;
	fseVolumeSegmentList: PNWFSE_VOLUME_SEGMENT_LIST): word;

function NWGetVolumeInfoByLevel (
	conn: word;
	volumeNum: longint;
	infoLevel: longint;
	fseVolumeInfo: PNWFSE_VOLUME_INFO_BY_LEVEL): word;
	
function NWGetActiveProtocolStacks (
	conn: word;
	startNum: longint;
	fseActiveStacks: PNWFSE_ACTIVE_STACKS): word;
	
function NWGetProtocolStackConfigInfo (
	conn: word;
	stackNum: longint;
	stackFullNameString: Pchar;
	fseProtocolStkConfigInfo: PNWFSE_PROTOCOL_STK_CONFIG_INFO): word;
	
function NWGetProtocolStackStatsInfo (
	conn: word;
	stackNum: longint;
	fseProtocolStkStatsInfo: PNWFSE_PROTOCOL_STK_STATS_INFO): word;
	
function NWGetProtocolStackCustomInfo (
	conn: word;
	stackNum: longint;
	customStartNum: longint;
	fseProtocolStackCustomInfo: PNWFSE_PROTOCOL_CUSTOM_INFO): word;
	
function NWGetProtocolStkNumsByMediaNum (
	conn: word;
	mediaNum: longint;
	fseProtocolStkIDNums: PNWFSE_PROTOCOL_ID_NUMS): word;
	
function NWGetProtocolStkNumsByLANBrdNum (
	conn: word;
	LANBoardNum: longint;
	fseProtocolStkIDNums: PNWFSE_PROTOCOL_ID_NUMS): word;
	
function NWGetMediaNamebyMediaNum (
	conn: word;
	mediaNum: longint;
	mediaName: Pchar;
	fseMediaNameList: PNWFSE_MEDIA_NAME_LIST): word;
	
function NWGetLoadedMediaNumList (
	conn: word;
	fseLoadedMediaNumList: PNWFSE_LOADED_MEDIA_NUM_LIST): word;
	
function NWGetGeneralRouterAndSAPInfo (
	conn: word;
	fseGeneralRouterSAPInfo: PNWFSE_GENERAL_ROUTER_SAP_INFO): word;
	
function NWGetNetworkRouterInfo (
	conn: word;
	networkNum: longint;
	fseNetworkRouterInfo: PNWFSE_NETWORK_ROUTER_INFO): word;
	
function NWGetNetworkRoutersInfo (
	conn: word;
	networkNum: longint;
	startNum: longint;
	fseNetworkRoutersInfo: PNWFSE_NETWORK_ROUTERS_INFO): word;
	
function NWGetKnownNetworksInfo (
	conn: word;
	numberOfEntries: longint;
	fseKnownNetworksInfo: PNWFSE_KNOWN_NETWORKS_INFO): word;
	
function NWGetServerInfo (
	conn: word;
	serverType: longint;
	serverName: Pchar;
	fseServerInfo: PNWFSE_SERVER_INFO): word;
	
function NWGetServerSourcesInfo (
	conn: word;
	startNum: longint;
	serverType: longint;
	serverName: Pchar;
	fseServerSrcInfo: PNWFSE_SERVER_SRC_INFO): word;
	
function NWGetKnownServersInfo (
	conn: word;
	startNum: longint;
	serverType: longint;
	fseKnownServerInfo: PNWFSE_KNOWN_SERVER_INFO): word;
	
function NWGetServerSetCommandsInfo (
	conn: word;
	startNum: longint;
	fseServerSetCmdsInfo: PNWFSE_SERVER_SET_CMDS_INFO): word;

function NWGetServerSetCategories (
	conn: word;
	startNum: longint;
	fseServerSetCategories: PNWFSE_SERVER_SET_CATEGORIES): word;
	
function NWMoveFileToDM (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	nameSpace: byte;
	supportModuleID: longint;
	saveKeyFlag: longint): word;
	
function NWMoveFileFromDM (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	nameSpace: byte): word;
	
function NWGetDMFileInfo (
	conn: word;
	dirHandle: byte;
	path: Pchar;
	nameSpace: byte;
	supportModuleID: Plongint;
	restoreTime: Plongint;
	dataStreams: Plongint): word;
	
function NWGetDMVolumeInfo (
	conn: word;
	volume: word;
	supportModuleID: longint;
	numberOfFilesMigrated: Plongint;
	totalMigratedSize: Plongint;
	spaceUsedOnDM: Plongint;
	limboSpaceUsedOnDM: Plongint;
	spaceMigrated: Plongint;
	filesInLimbo: Plongint): word;

function NWGetSupportModuleInfo (
	conn: word;
	infomationLevel: longint;
	supportModuleID: longint;
	returnInfo: Pbyte;
	returnInfoLen: Plongint): word;

function NWGetDataMigratorInfo (
	conn: word;
	DMPresentFlag: Plongint;
	majorVersion: Plongint;
	minorVersion: Plongint;
	DMSMRegistered: Plongint): word;
	
function NWGetDefaultSupportModule (
	conn: word;
	supportModuleID: Plongint): word;
	
function NWSetDefaultSupportModule (
	conn: word;
	supportModuleID: Plongint): word;
	

implementation

{File NWCALLS.IDX:}
{function WEP; external 'nwcalls' index 0027;}
procedure NWGETMAXIMUMCONNECTIONS; external 'nwcalls' index     1;
function NWATTACHTOFILESERVER; external 'nwcalls' index     2;
function NWDETACHFROMFILESERVER; external 'nwcalls' index     3;
function NWLOGOUTFROMFILESERVER; external 'nwcalls' index     4;
function NWGETCONNECTIONLIST; external 'nwcalls' index     5;
function NWGETCONNECTIONSTATUS; external 'nwcalls' index     6;
function NWGETFILESERVERNAME; external 'nwcalls' index     7;
function NWGETCONNECTIONNUMBER; external 'nwcalls' index     8;
function NWGETDEFAULTCONNECTIONID; external 'nwcalls' index     9;
{function NWGETCONNECTIONID; external 'nwcalls' index    10;}
function NWSETDRIVEBASE; external 'nwcalls' index    11;
function NWDELETEDRIVEBASE; external 'nwcalls' index    12;
function NWGETDRIVEINFORMATION; external 'nwcalls' index    13;
function NWSETPRIMARYCONNECTIONID; external 'nwcalls' index    14;
function NWGETPRIMARYCONNECTIONID; external 'nwcalls' index    15;
function NWLOGINTOFILESERVER; external 'nwcalls' index    16;
function NWVERIFYOBJECTPASSWORD; external 'nwcalls' index    17;
function NWCHANGEOBJECTPASSWORD; external 'nwcalls' index    18;
function NWREADPROPERTYVALUE; external 'nwcalls' index    19;
function NWWRITEPROPERTYVALUE; external 'nwcalls' index    20;
function NWADDOBJECTTOSET; external 'nwcalls' index    21;
function NWDELETEOBJECTFROMSET; external 'nwcalls' index    22;
function NWISOBJECTINSET; external 'nwcalls' index    23;
function NWSCANPROPERTY; external 'nwcalls' index    24;
function NWGETOBJECTID; external 'nwcalls' index    25;
function NWGETOBJECTNAME; external 'nwcalls' index    26;
function NWSCANOBJECT; external 'nwcalls' index    27;
function NWGETBINDERYACCESSLEVEL; external 'nwcalls' index    28;
function NWCREATEPROPERTY; external 'nwcalls' index    29;
function NWDELETEPROPERTY; external 'nwcalls' index    30;
function NWCHANGEPROPERTYSECURITY; external 'nwcalls' index    31;
function NWCREATEOBJECT; external 'nwcalls' index    32;
function NWDELETEOBJECT; external 'nwcalls' index    33;
function NWRENAMEOBJECT; external 'nwcalls' index    34;
function NWCHANGEOBJECTSECURITY; external 'nwcalls' index    35;
function NWOPENBINDERY; external 'nwcalls' index    36;
function NWCLOSEBINDERY; external 'nwcalls' index    37;
function NWSCANOBJECTTRUSTEEPATHS; external 'nwcalls' index    38;
function NWSPOOLENDCAPTURE; external 'nwcalls' index    40;
function NWSPOOLCANCELCAPTURE; external 'nwcalls' index    41;
function NWSPOOLGETBANNERUSERNAME; external 'nwcalls' index    45;
function NWSPOOLSETBANNERUSERNAME; external 'nwcalls' index    46;
function NWCREATEQUEUEFILE; external 'nwcalls' index    51;
function NWCLOSEFILEANDSTARTQUEUEJOB; external 'nwcalls' index    52;
function NWCLOSEFILEANDABORTQUEUEJOB; external 'nwcalls' index    53;
function NWREMOVEJOBFROMQUEUE; external 'nwcalls' index    54;
function NWGETQUEUEJOBLIST; external 'nwcalls' index    55;
function NWREADQUEUEJOBENTRY; external 'nwcalls' index    56;
function NWGETQUEUEJOBFILESIZE; external 'nwcalls' index    57;
function NWGETPRINTERQUEUEID; external 'nwcalls' index    58;
function NWCREATEQUEUE; external 'nwcalls' index    59;
function NWDESTROYQUEUE; external 'nwcalls' index    60;
function NWREADQUEUECURRENTSTATUS; external 'nwcalls' index    61;
function NWSETQUEUECURRENTSTATUS; external 'nwcalls' index    62;
function NWCHANGEQUEUEJOBENTRY; external 'nwcalls' index    63;
function NWCHANGEQUEUEJOBPOSITION; external 'nwcalls' index    64;
function NWREADQUEUESERVERCURRENTSTATUS; external 'nwcalls' index    65;
function NWATTACHQUEUESERVERTOQUEUE; external 'nwcalls' index    66;
function NWDETACHQUEUESERVERFROMQUEUE; external 'nwcalls' index    67;
function NWSERVICEQUEUEJOB; external 'nwcalls' index    68;
function NWFINISHSERVICINGQUEUEJOB; external 'nwcalls' index    69;
function NWABORTSERVICINGQUEUEJOB; external 'nwcalls' index    70;
function NWCHANGETOCLIENTRIGHTS; external 'nwcalls' index    71;
function NWRESTOREQUEUESERVERRIGHTS; external 'nwcalls' index    72;
function NWSETQUEUESERVERCURRENTSTATUS; external 'nwcalls' index    73;
function NWGETFILESERVERDESCRIPTION; external 'nwcalls' index    74;
function NWGETREQUESTERVERSION; external 'nwcalls' index    75;
function NWADDTRUSTEETODIRECTORY; external 'nwcalls' index    76;
function NWDELETETRUSTEEFROMDIRECTORY; external 'nwcalls' index    77;
function NWGETEFFECTIVEDIRECTORYRIGHTS; external 'nwcalls' index    78;
function NWMODIFYMAXIMUMRIGHTSMASK; external 'nwcalls' index    79;
function NWSCANDIRECTORYFORTRUSTEES; external 'nwcalls' index    80;
{function NWSCANDIRECTORYINFORMATION; external 'nwcalls' index    81;}
function NWSETDIRECTORYINFORMATION; external 'nwcalls' index    82;
function NWALLOCTEMPORARYDIRECTORYHANDLE; external 'nwcalls' index    83;
function NWDEALLOCATEDIRECTORYHANDLE; external 'nwcalls' index    84;
function NWSETDIRECTORYHANDLEPATH; external 'nwcalls' index    85;
function NWGETDIRECTORYHANDLEPATH; external 'nwcalls' index    86;
function NWTTSISAVAILABLE; external 'nwcalls' index    87;
function NWTTSBEGINTRANSACTION; external 'nwcalls' index    88;
function NWTTSENDTRANSACTION; external 'nwcalls' index    89;
function NWTTSABORTTRANSACTION; external 'nwcalls' index    90;
function NWTTSTRANSACTIONSTATUS; external 'nwcalls' index    91;
function NWTTSGETPROCESSTHRESHOLDS; external 'nwcalls' index    92;
function NWTTSSETPROCESSTHRESHOLDS; external 'nwcalls' index    93;
function NWTTSGETCONNECTIONTHRESHOLDS; external 'nwcalls' index    94;
function NWTTSSETCONNECTIONTHRESHOLDS; external 'nwcalls' index    95;
function NWTTSGETCONTROLFLAGS; external 'nwcalls' index    96;
function NWTTSSETCONTROLFLAGS; external 'nwcalls' index    97;
function NWOPENSEMAPHORE; external 'nwcalls' index    98;
function NWEXAMINESEMAPHORE; external 'nwcalls' index    99;
function NWWAITONSEMAPHORE; external 'nwcalls' index   100;
function NWSIGNALSEMAPHORE; external 'nwcalls' index   101;
function NWCLOSESEMAPHORE; external 'nwcalls' index   102;
function NWPARSENETWAREPATH; external 'nwcalls' index   103;
function NWPARSEPATH; external 'nwcalls' index   104;
function NWFILESERVERFILECOPY; external 'nwcalls' index   107;
function NWGETVOLUMEINFOWITHHANDLE; external 'nwcalls' index   108;
function NWGETVOLUMEINFOWITHNUMBER; external 'nwcalls' index   109;
function NWGETVOLUMENAME; external 'nwcalls' index   110;
function NWGETVOLUMENUMBER; external 'nwcalls' index   111;
function NWRESTOREERASEDFILE; external 'nwcalls' index   112;
function NWPURGEERASEDFILES; external 'nwcalls' index   113;
function NWGETFILECONNECTIONID; external 'nwcalls' index   114;
function NWGETCONNECTIONINFORMATION; external 'nwcalls' index   115;
function NWGETFILESERVERDATEANDTIME; external 'nwcalls' index   116;
function NWGETOBJECTCONNECTIONNUMBERS; external 'nwcalls' index   117;
function NWGETINTERNETADDRESS; external 'nwcalls' index   118;
function NWGETFILESERVERINFORMATION; external 'nwcalls' index   119;
function NWGETFILESERVEREXTENDEDINFO; external 'nwcalls' index   120;
function NWSENDBROADCASTMESSAGE; external 'nwcalls' index   121;
function NWGETBROADCASTMODE; external 'nwcalls' index   122;
function NWSETBROADCASTMODE; external 'nwcalls' index   123;
function NWBROADCASTTOCONSOLE; external 'nwcalls' index   124;
function NWSENDCONSOLEBROADCAST; external 'nwcalls' index   125;
function NWLOGPHYSICALRECORD; external 'nwcalls' index   126;
function NWLOCKPHYSICALRECORDSET; external 'nwcalls' index   127;
function NWRELEASEPHYSICALRECORDSET; external 'nwcalls' index   128;
function NWCLEARPHYSICALRECORDSET; external 'nwcalls' index   129;
function NWRELEASEPHYSICALRECORD; external 'nwcalls' index   130;
function NWCLEARPHYSICALRECORD; external 'nwcalls' index   131;
function NWLOCKFILELOCKSET; external 'nwcalls' index   133;
function NWRELEASEFILELOCKSET; external 'nwcalls' index   134;
function NWCLEARFILELOCKSET; external 'nwcalls' index   135;
function NWLOGLOGICALRECORD; external 'nwcalls' index   138;
function NWLOCKLOGICALRECORDSET; external 'nwcalls' index   139;
function NWRELEASELOGICALRECORDSET; external 'nwcalls' index   140;
function NWCLEARLOGICALRECORDSET; external 'nwcalls' index   141;
function NWRELEASELOGICALRECORD; external 'nwcalls' index   142;
function NWCLEARLOGICALRECORD; external 'nwcalls' index   143;
function NWWORDSWAP; external 'nwcalls' index   144;
function NWLONGSWAP; external 'nwcalls' index   145;
function NWREQUEST; external 'nwcalls' index   150;
{function NWSCANFILEINFORMATION; external 'nwcalls' index   153;}
function NWSETFILEINFORMATION; external 'nwcalls' index   154;
function NWGETPRINTERSTATUS; external 'nwcalls' index   155;
function NWGETDRIVEPATH; external 'nwcalls' index   156;
function NWCREATEDIRECTORY; external 'nwcalls' index   157;
function NWDELETEDIRECTORY; external 'nwcalls' index   158;
function NWRENAMEDIRECTORY; external 'nwcalls' index   159;
function NWRENAMEFILE; external 'nwcalls' index   160;
{function NWERASEFILES; external 'nwcalls' index   161;}
function NWSETFILEATTRIBUTES; external 'nwcalls' index   162;
function NWSETINITDRIVE; external 'nwcalls' index   163;
function NWDISALLOWOBJECTPASSWORD; external 'nwcalls' index   164;
{function NWFILESEARCHINITIALIZE; external 'nwcalls' index   165;}
{function NWFILESEARCHCONTINUE; external 'nwcalls' index   166;}
function NWSCANDIRECTORYFORTRUSTEES2; external 'nwcalls' index   169;
{unction NWSCANDIRECTORYINFORMATION2; external 'nwcalls' index   170;}
function NWSCANFILEINFORMATION2; external 'nwcalls' index   171;
function NWSETFILEINFORMATION2; external 'nwcalls' index   173;
function NWISLNSSUPPORTEDONVOLUME; external 'nwcalls' index   174;
{unction NWGETFILESERVERTYPE; external 'nwcalls' index   175;}
function NWGETFILESERVERLANIOSTATS; external 'nwcalls' index   177;
function NWGETBROADCASTMESSAGE; external 'nwcalls' index   178;
function NWATTACHTOFILESERVERBYCONN; external 'nwcalls' index   179;
{unction NWPARSEUNCPATH; external 'nwcalls' index   180;}
function NWGETFIRSTDRIVE; external 'nwcalls' index   181;
{function NWGETDRIVESTATUSOBSOLETE; external 'nwcalls' index   182;}
{function __NWGETNDRIVESTATUS; external 'nwcalls' index   183;}
{function __NWGETDRIVETYPE; external 'nwcalls' index   184;}
{function __NWGETNUMBERDRIVES; external 'nwcalls' index   185;}
{function __NWGETCURRENTDRIVE; external 'nwcalls' index   186;}
{function __NWGETCURRENTDIRECTORY; external 'nwcalls' index   187;}
function NWSTRIPSERVEROFFPATH; external 'nwcalls' index   188;
{function CLEANPATH; external 'nwcalls' index   189;}
{function INDEXPATH; external 'nwcalls' index   191;}
function NWDISABLEBROADCASTS; external 'nwcalls' index   192;
function NWENABLEBROADCASTS; external 'nwcalls' index   193;
{function _NWFILLCOMPONENTPATH; external 'nwcalls' index   195;}
{function _NWFILLCOMPONENTPATH2; external 'nwcalls' index   196;}
function NWCONVERTHANDLE; external 'nwcalls' index   197;
function NWCLOSEFILE; external 'nwcalls' index   198;
{function _NWFILLHANDLEPATHSTRUCT; external 'nwcalls' index   199;}
{function _NWFILLHANDLEPATHSTRUCT2; external 'nwcalls' index   200;}
function __NWGETNWCALLSSTATE; external 'nwcalls' index   201;
function _NWGETREQUESTERTYPE; external 'nwcalls' index   202;
{function NWORDEREDREQUESTTOALL; external 'nwcalls' index   203;}
{function NWREQUESTTOALL; external 'nwcalls' index   204;}
{function NWSHELLREQUEST; external 'nwcalls' index   205;}
{function WILDCARDCHECK; external 'nwcalls' index   206;}
{function _NWFILLWILDPATH; external 'nwcalls' index   207;}
{function _LSTRLEN; external 'nwcalls' index   208;}
{function _LMOVMEM; external 'nwcalls' index   209;}
{function _LMEMCMP; external 'nwcalls' index   210;}
{function _LSETMEM; external 'nwcalls' index   211;}
function NWGETCONNECTIONHANDLE; external 'nwcalls' index   212;
function NWINTFILESEARCHCONTINUE; external 'nwcalls' index   213;
function NWISIDINUSE; external 'nwcalls' index   214;
{function LIBMAIN ; external 'nwcalls' index   223;}
function NWGETPRINTERDEFAULTS; external 'nwcalls' index   224;
function NWSETPRINTERDEFAULTS; external 'nwcalls' index   225;
function NWGETLPTCAPTURESTATUS; external 'nwcalls' index   226;
function NWSTARTLPTCAPTURE; external 'nwcalls' index   227;
function NWSTARTFILECAPTURE; external 'nwcalls' index   228;
function NWABORTSERVICINGQUEUEJOB2; external 'nwcalls' index   231;
function NWCHANGEQUEUEJOBENTRY2; external 'nwcalls' index   232;
function NWCHANGEQUEUEJOBPOSITION2; external 'nwcalls' index   233;
function NWCHANGETOCLIENTRIGHTS2; external 'nwcalls' index   234;
function NWCLOSEFILEANDABORTQUEUEJOB2; external 'nwcalls' index   235;
function NWCLOSEFILEANDSTARTQUEUEJOB2; external 'nwcalls' index   236;
function NWCREATEQUEUEFILE2; external 'nwcalls' index   237;
function NWFINISHSERVICINGQUEUEJOB2; external 'nwcalls' index   238;
function NWGETQUEUEJOBLIST2; external 'nwcalls' index   239;
function NWGETQUEUEJOBFILESIZE2; external 'nwcalls' index   240;
function NWREADQUEUECURRENTSTATUS2; external 'nwcalls' index   241;
function NWREADQUEUEJOBENTRY2; external 'nwcalls' index   242;
function NWREADQUEUESERVERCURRENTSTATUS2; external 'nwcalls' index   243;
function NWREMOVEJOBFROMQUEUE2; external 'nwcalls' index   244;
function NWSERVICEQUEUEJOB2; external 'nwcalls' index   245;
function NWSETQUEUECURRENTSTATUS2; external 'nwcalls' index   246;
function NWINITDBCS; external 'nwcalls' index   247;
function _NWGETFILESERVERTYPE; external 'nwcalls' index   248;
function NWADDTRUSTEE; external 'nwcalls' index   249;
function NWAFPALLOCTEMPORARYDIRHANDLE; external 'nwcalls' index   250;
function NWAFPCREATEDIRECTORY; external 'nwcalls' index   251;
function NWAFPDELETE; external 'nwcalls' index   252;
function NWAFPDIRECTORYENTRY; external 'nwcalls' index   253;
function NWAFPGETENTRYIDFROMHANDLE; external 'nwcalls' index   254;
function NWAFPGETENTRYIDFROMNAME; external 'nwcalls' index   255;
function NWAFPGETENTRYIDFROMPATHNAME; external 'nwcalls' index   256;
function NWAFPGETFILEINFORMATION; external 'nwcalls' index   257;
function NWAFPOPENFILEFORK; external 'nwcalls' index   258;
function NWAFPRENAME; external 'nwcalls' index   259;
function NWAFPSCANFILEINFORMATION; external 'nwcalls' index   260;
function NWAFPSETFILEINFORMATION; external 'nwcalls' index   261;
function NWAFPSUPPORTED; external 'nwcalls' index   262;
function NWALLOCTEMPNSDIRHANDLE; external 'nwcalls' index   263;
function NWCLOSEEA; external 'nwcalls' index   264;
function NWDELETETRUSTEE; external 'nwcalls' index   265;
function NWFINDFIRSTEA; external 'nwcalls' index   266;
function NWFINDNEXTEA; external 'nwcalls' index   267;
function NWGETDIRECTORYBASE; external 'nwcalls' index   268;
function NWGETEAHANDLESTRUCT; external 'nwcalls' index   269;
function NWGETEFFECTIVERIGHTS; external 'nwcalls' index   270;
function NWGETLONGNAME; external 'nwcalls' index   271;
function NWNSGETMISCINFO; external 'nwcalls' index   272;
function NWGETNSENTRYINFO; external 'nwcalls' index   273;
function NWGETNSINFO; external 'nwcalls' index   274;
function NWGETNSLOADEDLIST; external 'nwcalls' index   275;
function NWGETNSPATH; external 'nwcalls' index   276;
function NWGETOWNINGNAMESPACE; external 'nwcalls' index   277;
{function NWMOVEDIRENTRY; external 'nwcalls' index   278;}
function NWOPENCREATENSENTRY; external 'nwcalls' index   279;
function NWOPENDATASTREAM; external 'nwcalls' index   280;
function NWPURGEDELETEDFILE; external 'nwcalls' index   281;
function NWREADEA; external 'nwcalls' index   282;
function NWREADEXTENDEDNSINFO; external 'nwcalls' index   283;
function NWREADNSINFO; external 'nwcalls' index   284;
function NWRECOVERDELETEDFILE; external 'nwcalls' index   285;
{function NWSCANDIRENTRYINFO; external 'nwcalls' index   286;}
{function NWSCANEXTENDEDINFO; external 'nwcalls' index   287;}
function NWSCANFORDELETEDFILES; external 'nwcalls' index   288;
{function NWSCANFORTRUSTEES; external 'nwcalls' index   289;}
function NWSCANNSENTRYINFO; external 'nwcalls' index   290;
function NWSETDIRENTRYINFO; external 'nwcalls' index   291;
function NWSETDIRSPACELIMIT; external 'nwcalls' index   292;
function NWSETLONGNAME; external 'nwcalls' index   293;
function NWWRITEEA; external 'nwcalls' index   294;
function NWWRITEEXTENDEDNSINFO; external 'nwcalls' index   295;
function NWWRITENSINFO; external 'nwcalls' index   296;
procedure _NWCONVERT4BYTETO6BYTEHANDLE; external 'nwcalls' index   297;
function _NWCONVERTHANDLE; external 'nwcalls' index   298;
function NWOPENEA; external 'nwcalls' index   299;
{function _LSTRCAT; external 'nwcalls' index   300;}
{function _LSTRCPY; external 'nwcalls' index   301;}
function NWGETEXTENDEDFILEATTRIBUTES2; external 'nwcalls' index   302;
function NWSETEXTENDEDFILEATTRIBUTES2; external 'nwcalls' index   303;
function NWCONVERTPATHTODIRENTRY; external 'nwcalls' index   304;
function NWOPENNSENTRY; external 'nwcalls' index   305;
function NWGETFILESERVERVERSION; external 'nwcalls' index   306;
function NWREMOVEOBJECTDISKRESTRICTIONS; external 'nwcalls' index   307;
function NWSCANVOLDISKRESTRICTIONS; external 'nwcalls' index   308;
function NWSETOBJECTVOLSPACELIMIT; external 'nwcalls' index   309;
function NWGETOBJDISKRESTRICTIONS; external 'nwcalls' index   310;
function NWAFPCREATEFILE; external 'nwcalls' index   311;
function NWGETDIRSPACELIMITLIST; external 'nwcalls' index   330;
function NWGETDIRSPACEINFO; external 'nwcalls' index   331;
function NWCHECKCONSOLEPRIVILEGES; external 'nwcalls' index   332;
function NWCHECKNETWAREVERSION; external 'nwcalls' index   333;
function NWCLEARCONNECTIONNUMBER; external 'nwcalls' index   334;
function NWDISABLEFILESERVERLOGIN; external 'nwcalls' index   335;
function NWDISABLETTS; external 'nwcalls' index   336;
function NWDOWNFILESERVER; external 'nwcalls' index   337;
function NWENABLEFILESERVERLOGIN; external 'nwcalls' index   338;
function NWENABLETTS; external 'nwcalls' index   339;
function NWGETCONNECTIONUSAGESTATS; external 'nwcalls' index   340;
function NWGETFSDRIVEMAPTABLE; external 'nwcalls' index   341;
function NWGETDISKCACHESTATS; external 'nwcalls' index   342;
function NWGETDISKCHANNELSTATS; external 'nwcalls' index   343;
function NWGETOBJECTDISKSPACELEFT; external 'nwcalls' index   344;
function NWGETDISKUTILIZATION; external 'nwcalls' index   345;
function NWGETFILESYSTEMSTATS; external 'nwcalls' index   346;
function NWGETFILESERVERLOGINSTATUS; external 'nwcalls' index   347;
function NWGETFILESERVERVERSIONINFO; external 'nwcalls' index   348;
function NWGETFSLANDRIVERCONFIGINFO; external 'nwcalls' index   349;
function NWGETPHYSICALDISKSTATS; external 'nwcalls' index   350;
function NWGETPATHFROMDIRECTORYENTRY; external 'nwcalls' index   351;
function NWGETTTSSTATS; external 'nwcalls' index   352;
function NWSETFILESERVERDATEANDTIME; external 'nwcalls' index   353;
function NWALLOCPERMANENTDIRECTORYHANDLE; external 'nwcalls' index   354;
function NWGETACCOUNTSTATUS; external 'nwcalls' index   355;
function NWGETTASKINFORMATIONBYCONN; external 'nwcalls' index   356;
function NWGETVOLUMESTATS; external 'nwcalls' index   357;
function NWQUERYACCOUNTINGINSTALLED; external 'nwcalls' index   358;
function NWRESTOREDIRECTORYHANDLE; external 'nwcalls' index   359;
function NWSAVEDIRECTORYHANDLE; external 'nwcalls' index   360;
function NWSCANCONNECTIONSUSINGFILE; external 'nwcalls' index   361;
function NWSCANLOGICALLOCKSBYCONN; external 'nwcalls' index   362;
function NWSCANLOGICALLOCKSBYNAME; external 'nwcalls' index   363;
function NWSCANOPENFILESBYCONN; external 'nwcalls' index   364;
function NWSCANPHYSICALLOCKSBYCONNFILE; external 'nwcalls' index   365;
function NWSCANPHYSICALLOCKSBYFILE; external 'nwcalls' index   366;
function NWSCANSEMAPHORESBYCONN; external 'nwcalls' index   367;
function NWSCANSEMAPHORESBYNAME; external 'nwcalls' index   368;
function NWSETENDOFJOBSTATUS; external 'nwcalls' index   369;
function NWSETNETWAREERRORMODE; external 'nwcalls' index   370;
function NWSUBMITACCOUNTCHARGE; external 'nwcalls' index   371;
function NWSUBMITACCOUNTHOLD; external 'nwcalls' index   372;
function NWSUBMITACCOUNTNOTE; external 'nwcalls' index   373;
function NWENDOFJOB; external 'nwcalls' index   374;
function NWSETSEARCHDRIVEVECTOR; external 'nwcalls' index   375;
function NWGETSEARCHDRIVEVECTOR; external 'nwcalls' index   376;
function NWCALLSINIT; external 'nwcalls' index   377;
function NWINTSCANFORTRUSTEES; external 'nwcalls' index   378;
function NWINTSCANDIRECTORYINFORMATION2; external 'nwcalls' index   379;
function NWINTSCANDIRENTRYINFO; external 'nwcalls' index   380;
function NWINTSCANDIRECTORYINFORMATION; external 'nwcalls' index   381;
function NWINTMOVEDIRENTRY; external 'nwcalls' index   382;
function NWINTSCANEXTENDEDINFO; external 'nwcalls' index   383;
function NWINTSCANFILEINFORMATION; external 'nwcalls' index   384;
function NWINTSCANFILEINFORMATION2; external 'nwcalls' index   385;
function NWINTFILESEARCHINITIALIZE; external 'nwcalls' index   386;
function NWINTERASEFILES; external 'nwcalls' index   387;
function NWNSRENAME; external 'nwcalls' index   388;
function NWGETOBJECTEFFECTIVERIGHTS; external 'nwcalls' index   389;
function NWGETEXTENDEDVOLUMEINFO; external 'nwcalls' index   390;
function NWLOGFILELOCK2; external 'nwcalls' index   391;
function NWRELEASEFILELOCK2; external 'nwcalls' index   392;
function NWCLEARFILELOCK2; external 'nwcalls' index   393;
function NWSCANOPENFILESBYCONN2; external 'nwcalls' index   394;
function NWSETNSENTRYDOSINFO; external 'nwcalls' index   395;
function NWALLOCTEMPNSDIRHANDLE2; external 'nwcalls' index   396;
{function _NWGETCOMPATHSTRUCTLENGTH; external 'nwcalls' index   397;}
{function NWCONVERTANDAUGMENT; external 'nwcalls' index   398;}
{function NWCONVERTTOSPECCHAR; external 'nwcalls' index   399;}
function NWGETACTIVECONNLISTBYTYPE; external 'nwcalls' index   400;
function NWGETACTIVELANBOARDLIST; external 'nwcalls' index   401;
function NWGETACTIVEPROTOCOLSTACKS; external 'nwcalls' index   402;
function NWGETCACHEINFO; external 'nwcalls' index   403;
function NWGETCPUINFO; external 'nwcalls' index   404;
function NWGETDATAMIGRATORINFO; external 'nwcalls' index   405;
function NWGETDEFAULTSUPPORTMODULE; external 'nwcalls' index   406;
function NWGETDIRCACHEINFO; external 'nwcalls' index   407;
function NWGETDMFILEINFO; external 'nwcalls' index   408;
function NWGETDMVOLUMEINFO; external 'nwcalls' index   409;
function NWGETFILESERVERINFO; external 'nwcalls' index   410;
function NWGETGARBAGECOLLECTIONINFO; external 'nwcalls' index   411;
function NWGETIPXSPXINFO; external 'nwcalls' index   412;
function NWGETLANCOMMONCOUNTERSINFO; external 'nwcalls' index   413;
function NWGETLANCONFIGINFO; external 'nwcalls' index   414;
function NWGETLANCUSTOMCOUNTERSINFO; external 'nwcalls' index   416;
function NWGETLOADEDMEDIANUMLIST; external 'nwcalls' index   417;
function NWGETLSLINFO; external 'nwcalls' index   418;
function NWGETLSLLOGICALBOARDSTATS; external 'nwcalls' index   419;
function NWGETMEDIAMGROBJCHILDRENLIST; external 'nwcalls' index   420;
function NWGETMEDIAMGROBJINFO; external 'nwcalls' index   421;
function NWGETMEDIAMGROBJLIST; external 'nwcalls' index   422;
function NWGETMEDIANAMEBYMEDIANUM; external 'nwcalls' index   423;
function NWGETNETWAREFILESYSTEMSINFO; external 'nwcalls' index   424;
function NWGETNLMINFO; external 'nwcalls' index   425;
function NWGETNLMLOADEDLIST; external 'nwcalls' index   426;
function NWGETNLMSRESOURCETAGLIST; external 'nwcalls' index   427;
function NWGETOSVERSIONINFO; external 'nwcalls' index   428;
function NWGETPACKETBURSTINFO; external 'nwcalls' index   429;
function NWGETPROTOCOLSTACKCONFIGINFO; external 'nwcalls' index   430;
function NWGETPROTOCOLSTACKCUSTOMINFO; external 'nwcalls' index   431;
function NWGETPROTOCOLSTACKSTATSINFO; external 'nwcalls' index   432;
function NWGETPROTOCOLSTKNUMSBYLANBRDNUM; external 'nwcalls' index   433;
function NWGETPROTOCOLSTKNUMSBYMEDIANUM; external 'nwcalls' index   434;
function NWGETSUPPORTMODULEINFO; external 'nwcalls' index   435;
function NWGETUSERINFO; external 'nwcalls' index   436;
function NWGETVOLUMESEGMENTLIST; external 'nwcalls' index   437;
function NWGETVOLUMESWITCHINFO; external 'nwcalls' index   438;
function NWMOVEFILEFROMDM; external 'nwcalls' index   439;
function NWMOVEFILETODM; external 'nwcalls' index   440;
function NWSETDEFAULTSUPPORTMODULE; external 'nwcalls' index   441;
procedure NWGETNWCALLSVERSION; external 'nwcalls' index   442;
function NWCANCELCAPTURE; external 'nwcalls' index   443;
function NWENDCAPTURE; external 'nwcalls' index   444;
function NWFLUSHCAPTURE; external 'nwcalls' index   445;
function NWGETBANNERUSERNAME; external 'nwcalls' index   446;
function NWGETCAPTUREFLAGS; external 'nwcalls' index   447;
function NWGETCAPTURESTATUS; external 'nwcalls' index   448;
function NWGETPRINTERSTRINGS; external 'nwcalls' index   449;
function NWSETBANNERUSERNAME; external 'nwcalls' index   450;
function NWSETCAPTUREFLAGS; external 'nwcalls' index   451;
function NWSETPRINTERSTRINGS; external 'nwcalls' index   452;
function NWSTARTQUEUECAPTURE; external 'nwcalls' index   453;
function NWGETMAXPRINTERS; external 'nwcalls' index   454;
{function NWREDIRLOGOUT; external 'nwcalls' index   455;}
{function NWREDIRECTDEVICE; external 'nwcalls' index   457;}
{function NWCANCELREDIRECTION; external 'nwcalls' index   458;}
{function NWGETREDIRECTIONENTRY; external 'nwcalls' index   459;}
{function CONVERTNWQUEUETOQUEUE; external 'nwcalls' index   460;}
{function CONVERTQUEUETONWQUEUE; external 'nwcalls' index   461;}
{function NWAFPASCIIZTOLENSTR; external 'nwcalls' index   462;}
{function NWDOSCLOSE; external 'nwcalls' index   463;}
{function NWDOSOPEN; external 'nwcalls' index   464;}
{function NWCHARTYPEDBCS; external 'nwcalls' index   465;}
{function NWFINDANCHORDBCS; external 'nwcalls' index   466;}
{function NWTRUNCATEDBCS; external 'nwcalls' index   467;}
{function NWPREVCHARDBCS; external 'nwcalls' index   468;}
{function NWGETNCPEXTENSIONINFO; external 'nwcalls' index   469;}
{function NWSCANNCPEXTENSIONS; external 'nwcalls' index   470;}
{function NWNCPEXTENSIONREQUEST; external 'nwcalls' index   471;}
{function NWFRAGNCPEXTENSIONREQUEST; external 'nwcalls' index   472;}
{function NWVLMREQUEST; external 'nwcalls' index   473;}
{function _NWINITVLM; external 'nwcalls' index   475;}
{function _NWGETCOMPATHLEN2; external 'nwcalls' index   474;}
{function __LSTRCHR; external 'nwcalls' index   476;}
{function CHECKPATHATROOT; external 'nwcalls' index   477;}
procedure NWUNPACKDATE; external 'nwcalls' index   478;
procedure NWUNPACKTIME; external 'nwcalls' index   479;
procedure NWUNPACKDATETIME; external 'nwcalls' index   480;
{function _NWCREATESESSIONKEY; external 'nwcalls' index   481;}
{function _NWRENEGOTIATESECURITYLEVEL; external 'nwcalls' index   482;}
{function _NWGETSECURITYFLAGS; external 'nwcalls' index   483;}
{function _NWSETSECURITYFLAGS; external 'nwcalls' index   484;}
{function _NWGETSESSIONKEY; external 'nwcalls' index   485;}
function NWGETPREFERREDSERVER; external 'nwcalls' index   486;
function NWSETPREFERREDSERVER; external 'nwcalls' index   487;
function NWGETGENERALROUTERANDSAPINFO; external 'nwcalls' index   489;
function NWGETKNOWNNETWORKSINFO; external 'nwcalls' index   490;
function NWGETNETWORKROUTERINFO; external 'nwcalls' index   491;
function NWGETNETWORKROUTERSINFO; external 'nwcalls' index   492;
function NWGETSERVERINFO; external 'nwcalls' index   493;
function NWGETSERVERSOURCESINFO; external 'nwcalls' index   494;
function NWGETKNOWNSERVERSINFO; external 'nwcalls' index   495;
function NWGETSERVERSETCOMMANDSINFO; external 'nwcalls' index   496;
function NWGETSERVERSETCATEGORIES; external 'nwcalls' index   497;
function NWGETCONNLISTFROMOBJECT; external 'nwcalls' index   498;
{function _NWMAKECOMPONENTPATH; external 'nwcalls' index   499;}
{function NWGETNCPEXTENSIONINFOBYNAME; external 'nwcalls' index   500;}
{function NWGETNCPEXTENSIONSLIST; external 'nwcalls' index   501;}
{function NWGETNUMBERNCPEXTENSIONS; external 'nwcalls' index   502;}
function NWLOCKCONNECTION; external 'nwcalls' index   503;
function NWGETVOLUMEINFOBYLEVEL; external 'nwcalls' index   504;
function NWPACKDATE; external 'nwcalls' index   505;
function NWPACKTIME; external 'nwcalls' index   506;
function NWPACKDATETIME; external 'nwcalls' index   507;
procedure NWCONVERTDATE; external 'nwcalls' index   508;
procedure NWCONVERTTIME; external 'nwcalls' index   509;
procedure NWCONVERTDATETIME; external 'nwcalls' index   510;
{function NWISDBCSLOADED; external 'nwcalls' index   511;}
function NWCONVERTFILEHANDLE; external 'nwcalls' index   512;
function NWGETDRIVESTATUS; external 'nwcalls' index   513;
{function __NWFILLCOMPONENTPATH2; external 'nwcalls' index   514;}
{function __NWFILLHANDLEPATHSTRUCT; external 'nwcalls' index   515;}
{function __NWFILLHANDLEPATHSTRUCT2; external 'nwcalls' index   516;}
{function __NWFILLWILDPATH; external 'nwcalls' index   517;}
function NWGETCONNINFO; external 'nwcalls' index   518;
function NWSCANVOLDISKRESTRICTIONS2; external 'nwcalls' index   519;
function NWGETINETADDR; external 'nwcalls' index   520;
function NWGETSPARSEFILEBITMAP; external 'nwcalls' index   523;
function NWCREATEUNCPATH; external 'nwcalls' index   527;
function NWGETFILESERVERMISCINFO; external 'nwcalls' index   528;
function NWGETNETWORKSERIALNUMBER; external 'nwcalls' index   529;
function NWISMANAGER; external 'nwcalls' index   530;
function __NWGETCURNS; external 'nwcalls' index   531;
function NWSTARTFILECAPTURE2; external 'nwcalls' index   532;
function NWSETINITDRIVE2; external 'nwcalls' index   533;
function NWGETINITDRIVE; external 'nwcalls' index   534;
function NWSETCOMPRESSEDFILESIZE; external 'nwcalls' index   535;
end.
