unit Server;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Nwconn, Newtli, ExtCtrls, Mess;

type
  TForm1 = class(TForm)
    NWTLI1: TNWTLI;
    Memo1: TMemo;
    Panel1: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    procedure NWTLI1DataAvailable(Sender: TObject; Socket: Word);
    procedure NWTLI1SessionAvailable(Sender: TObject; Socket: Word);
    procedure NWTLI1SessionClosed(Sender: TObject; Socket: Word);
    procedure NWTLI1SessionConnected(Sender: TObject; Socket: Word);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private-dclarations }
  public
    { Public-dclarations }
  end;

var
  Form1: TForm1;
  Form2: TForm2;

  FenList: TList;

implementation

{$R *.DFM}

procedure TForm1.NWTLI1DataAvailable(Sender: TObject; Socket: Word);
var
    st: array [0..1000] of char;
    l: word;
begin
    FillChar(st[0],1000,$0);
    NWTli1.Read(socket,st,l);
    Memo1.Lines.add('Donnes recues : '+Strpas(st));
    TForm2(FenList.Items[Socket]).Memo1.lines.add(Strpas(st));
    Application.Restore;

end;

procedure TForm1.NWTLI1SessionAvailable(Sender: TObject; Socket: Word);
var
    FMess: TForm2;
begin
    Memo1.Lines.add('Session disponible');
    Edit1.Text:=IntToStr( StrToInt(Edit1.text)+1);
    FMess:=TForm2.Create(Application);
    FenList.add(FMess);
    FMess.SockList:=@FenList;
    FMess.Tli:=NWTli1;
    FMess.Show;
end;

procedure TForm1.NWTLI1SessionClosed(Sender: TObject; Socket: Word);
begin
    Memo1.Lines.add('Session Ferme');
    Edit1.Text:=IntToStr( StrToInt(Edit1.text)-1);
    TForm2(FenList.items[socket]).free;
    FenList.delete(socket);
end;

procedure TForm1.NWTLI1SessionConnected(Sender: TObject; Socket: Word);
begin
{    Memo1.Lines.add('Session Conecte: ');}
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
    NWTli1.Listen;
    Edit1.Text:='0';
    FenList:=Tlist.create;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
    FenList.Free;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    if (Edit1.Text <> '0') then Action := caNone;  
end;

end.
