
{*******************************************************}
{                                                       }
{   Constante du Novell 4.0 Pour Borland DELPHI         }
{                                                       }
{   Convertion du C au PASCAL                           }
{   par Couery Tanguy le 26/11/95                       }
{                                                       }
{   Pour le projet Novell Netware de 3me anne         }
{   (BRETIN David,COUERY Tanguy,GUILHEM Eric)           }
{                                                       }
{   Le fichier est separ en deux pour                  }
{   eviter un probleme lors de la compilation < 64ko    }
{                                                       }
{*******************************************************}

unit NwConst;

interface

uses NwConst2;

{File WIPXMRG.H:}

{File WLOCALE.H:}
const L_MB_LEN_MAX =    2 ;
const MERIDLEN =        5;
const NWSINGLE_BYTE =   1;
const NWDOUBLE_BYTE =   2;
const LC_ALL =  0;
const LC_COLLATE =      1;
const LC_CTYPE =        2;
const LC_MONETARY =     3;
const LC_NUMERIC =      4;
const LC_TIME = 5;
const ARABIC =  785;
const WBAHRAIN =        973;
const WCYPRUS = 357 ;
const WEGYPT =  20;
const WETHIOPIA =       251;
const WIRAN =   98;
const WIRAQ =   964;
const WJORDAN = 962;
const WKUWAIT = 965 ;
const WLIBYA =  218;
const WMALTA =  356 ;
const WMOROCCO =        212 ;
const WPAKISTAN =       92;
const WQATAR =  974 ;
const WSAUDI =  966;
const WTANZANIA =       255 ;
const WTUNISIA =        216 ;
const WTURKEY = 90 ;
const WUAE =    971;
const WYEMEN =  967 ;
const AUSTRALIA =       61;
const BELGIUM = 32;
const CANADA_FR =       2;
const CANADA =  2;
const DENMARK = 45;
const FINLAND = 358;
const FRANCE =  33;
const GERMANY = 49;
const GERMANYE =        37;
const HEBREW =  972;
const ITALY =   39;
const LATIN_AMERICA =   3;
const WARGENTINA =      54;
const WBOLIVIA =        591;
const WCHILE =  56;
const WCOLOMBIA =       57;
const WCOSTARICA =      506;
const WECUADOR =        593;
const WELSALVADOR =     503;
const WGUATEMALA =      502;
const WHONDURAS =       504;
const WMEXICO = 52;
const WNICARAGUA =      505;
const WPANAMA = 507;
const WPARAGUAY =       595;
const WPERU =   51;
const WURUGUAY =        598;
const WVENEZUELA =      58;
const NETHERLANDS =     31;
const NORWAY =  47;
const PORTUGAL =        351;
const SPAIN =   34;
const SWEDEN =  46;
const SWITZERLAND =     41;
const UK =      44;
const USA =     1;
const JAPAN =   81;
const KOREA =   82;
const PRC =     86;
const TAIWAN =  886 ;
const WTAIWAN = 886 ;
const ASIAN_ENGLISH =   99;

{File NWMIGRAT.H:}
const MAX_NUM_OF_DATA_STREAMS = 3;
const MAX_SIZE_OF_SM_STRING =   128;
const MAX_SIZE_OF_SM_INFO =     128;
const MAX_NUM_OF_SM =   32;
const ERR_INVALID_SM_ID =       240;
const ERR_SM_ALREADY_REGISTERED =       241;
const ERR_SM_CREATE_FAILED =    242;
const ERR_SM_CLOSE_FAILED =     243;
const ERR_SM_WRITE_NO_SPACE =   244;
const ERR_SM_WRITE_IO_ERROR =   245;
const ERR_SM_READ_IO_ERROR =    246;
const ERR_SM_OPEN_FAILED =      247;
const ERR_SM_DELETE_FAILED =    248;

{File NWMISC.H:}
const NW_ENCP_SERVER =  1;
const NW_EXTENDED_NCP_SERVER =  1;
const _NETX_COM =       $0001;
const _NETX_VLM =       $0002;
const _REDIR_LOADED =   $4000;
const _VLM_LOADED =     $8000;
const USE_DS =  1;
const USE_ES =  2;
const USE_DOS = $80;

{File NWMSG.H:}

{File NWNAMSPC.H:}
const SUCCESSFUL =      0;
const MORE_NS_TO_READ = 0;
const NO_EXTENDED_NS_INFO =     9;
const NS_EOF =  $8910;
const NW_NS_DOS =       0;
const NW_NS_MAC =       1;
const NW_NS_NFS =       2;
const NW_NS_FTAM =      3;
const NW_NS_OS2 =       4;
const NW_DS_DOS =       0;
const NW_DS_MAC =       1;
const NW_DS_FTAM =      2;
const OC_MODE_OPEN =    $01;
const OC_MODE_TRUNCATE =        $02;
const OC_MODE_REPLACE = $02;
const OC_MODE_CREATE =  $08;
const OC_ACTION_NONE =  $00;
const OC_ACTION_OPEN =  $01;
const OC_ACTION_CREATE =        $02;
const OC_ACTION_TRUNCATE =      $04;
const OC_ACTION_REPLACE =       $04;
const IM_NAME = $0001;
const IM_ENTRY_NAME =   $0001;
const IM_SPACE_ALLOCATED =      $0002;
const IM_ATTRIBUTES =   $0004;
const IM_SIZE = $0008;
const IM_TOTAL_SIZE =   $0010;
const IM_EA =   $0020;
const IM_ARCHIVE =      $0040;
const IM_MODIFY =       $0080;
const IM_CREATION =     $0100;
const IM_OWNING_NAMESPACE =     $0200;
const IM_DIRECTORY =    $0400;
const IM_RIGHTS =       $0800;
const IM_ALMOST_ALL =   $0FED;
const IM_ALL =  $0FFF;
const IM_REFERENCE_ID = $1000;
const IM_NS_ATTRIBUTES =        $2000;
const IM_DATASTREAM_SIZES =     $4000;
const IM_COMPRESSED_INFO =      $80000000;
const IM_NS_SPECIFIC_INFO =     $80000000;
{const AR_READ =        $0001;
const AR_WRITE =        $0002;
const AR_READ_ONLY =    $0001;
const AR_WRITE_ONLY =   $0002;
const AR_DENY_READ =    $0004;
const AR_DENY_WRITE =   $0008;
const AR_COMPATIBILITY =        $0010;
const AR_WRITE_THROUGH =        $0040;
const AR_OPEN_COMPRESSED =      $0100;
const AR_DELETE_FILE_CLOSE =    $0400;
const TA_NONE = $00;
const TA_READ = $01;
const TA_WRITE =        $02;
const TA_OPEN = $04;
const TA_CREATE =       $08;
const TA_DELETE =       $10;
const TA_OWNERSHIP =    $20;
const TA_SEARCH =       $40;
const TA_MODIFY =       $80;
const TA_ALL =  $FB;
const SA_NORMAL =       $0000;
const SA_HIDDEN =       $0002;
const SA_SYSTEM =       $0004;
const SA_SUBDIR_ONLY =  $0010;
const SA_SUBDIR_FILES = $8000;
const SA_ALL =  $8006;}
const NW_TYPE_FILE =    $8000;
const NW_TYPE_SUBDIR =  $0010;
const NW_NAME_CONVERT = $03;
const NW_NO_NAME_CONVERT =      $04;
const DM_ATTRIBUTES =   $0002;
const DM_CREATE_DATE =  $0004;
const DM_CREATE_TIME =  $0008;
const DM_CREATOR_ID =   $0010;
const DM_ARCHIVE_DATE = $0020;
const DM_ARCHIVE_TIME = $0040;
const DM_ARCHIVER_ID =  $0080;
const DM_MODIFY_DATE =  $0100;
const DM_MODIFY_TIME =  $0200;
const DM_MODIFIER_ID =  $0400;
const DM_LAST_ACCESS_DATE =     $0800;
const DM_INHERITED_RIGHTS_MASK =        $1000;
const DM_MAXIMUM_SPACE =        $2000;

{File NWNCPEXT.H:}
const NW_NCPX_BEGIN_SCAN =      $FFFFFFFF;

{File NWNDSCON.H:}
const NWNDS_CONNECTION =        $0001;
const NWNDS_LICENSED =  $0002;
const NWNDS_AUTHENTICATED =     $0004;
const NWNDS_PACKET_BURST_AVAIL =        $0001;
const NWNDS_NEEDED_MAX_IO =     $0040;
const SYSTEM_LOCK =     $0;
const TASK_LOCK =       $4;
const SYSTEM_DISCONNECT =       $0;
const TASK_DISCONNECT = $1;
const ALLREADY_ATTACHED =       $1;
const ATTACHED_NOT_AUTH =       $2;
const ATTACHED_AND_AUTH =       $4;

{File NWNET.H:}

{File NWPNW.H:}
const DOS_ERR_FILE_NOT_FOUND =  2;
const DOS_ERR_PATH_NOT_FOUND =  3;
const DOS_ERR_TOO_MANY_OPEN_FILES =     4;
const DOS_ERR_INVALID_HANDLE =  6;
const DOS_ERR_INSUFFICIENT_MEMORY =     8;
const DOS_ERR_INVALID_DRIVE =   5;
const DOS_ERR_CANNOT_REMOVE_CUR_DIR =   16;
const DOS_ERR_NOT_SAME_DEVICE = 17;
const DOS_ERR_NO_MORE_FILES =   8;
const DOS_ERR_WRITE_PROTECTED = 19;
const DOS_ERR_DRIVE_NOT_READY = 21;
const DOS_ERR_UNKNOWN_COMMAND = 22;
const DOS_ERR_SEEK_ERROR =      5;
const DOS_ERR_PRINTER_OUT_OF_PAPER =    28;
const DOS_ERR_WRITE_FAULT =     29;
const DOS_ERR_READ_FAULT =      0;
const DOS_ERR_GENERAL_FAILURE = 31;
const DOS_ERR_SHARING_VIOLATION =       32;
const DOS_ERR_LOCK_VIOLATION =  33;
const DOS_ERR_SHARING_BUFFER_OVERFLOW = 36;
const DOS_ERR_DISK_FULL =       9;
const DOS_ERR_BAD_NET_REQUEST = 50;
const DOS_ERR_NO_SERVER_RESPONSE =      51;
const DOS_ERR_DUPLICATE_NAME =  52;
const DOS_ERR_NET_NAME_NOT_FOUND =      53;
const DOS_ERR_NET_BUSY =        4;
const DOS_ERR_INVALID_DEVICE =  55;
const DOS_ERR_GENERAL_NET_ERROR =       59;
const DOS_ERR_PRINT_QUEUE_FULL =        1;
const DOS_ERR_PRINT_FILE_TOO_BIG =      62;
const DOS_ERR_PRINT_FILE_DELETED =      63;
const DOS_ERR_DEVICE_TYPE_BAD = 66;
const DOS_ERR_SERVER_NOT_FOUND =        7;
const DOS_ERR_SERVER_TOO_LONG = 68;
const DOS_ERR_REDIRECTION_PAUSED =      72;
const DOS_ERR_INT24_FAIL =      3;
const DOS_ERR_TOO_MANY_REDIRS = 84 ;
const DOS_ERR_DUPLICATE_REDIR = 85 ;
const DOS_ERR_INVALID_PASSWORD =        6;
const DOS_ERR_INVALID_PARAM =   7;
const CC_CLIENT_NOT_RESIDENT =  $4001;
const CC_IPX_NOT_RESIDENT =     $4002;
const CC_SERVER_NOT_RESIDENT =  $4003;
const CC_VLM_NOT_RESIDENT =     $4004;
const CC_USER_NAME_TOO_LONG =   $4005;
const CC_SERVER_NAME_TOO_LONG = $4006;
const CC_PASSWORD_TOO_LONG =    $4007;
const CC_TOO_MANY_ENTRIES =     $4008;
const CC_TOO_MANY_USERS =       CC_TOO_MANY_ENTRIES;
const CC_TOO_MANY_RESOURCES =   CC_TOO_MANY_ENTRIES;
const CC_NO_RIGHTS_TO_RESOURCE =        $4009;
const CC_NO_RIGHTS_TO_NET_DIR = CC_NO_RIGHTS_TO_RESOURCE;
const CC_NO_RIGHTS_TO_NET_PRN = CC_NO_RIGHTS_TO_RESOURCE;
const CC_DUPLICATE_NAME =       $400A;
const CC_DUPLICATE_RESOURCE =   CC_DUPLICATE_NAME;
const CC_DUPLICATE_USER =       CC_DUPLICATE_NAME;
const CC_NOT_FOUND =    $400B;
const CC_RESOURCE_NOT_FOUND =   CC_NOT_FOUND;
const CC_PRINT_JOB_NOT_FOUND =  CC_NOT_FOUND;
const CC_SETUP_STRING_NOT_FOUND =       CC_NOT_FOUND;
const CC_FORM_NOT_FOUND =       CC_NOT_FOUND;
const CC_DUP_WORKGROUP_FOUND =  $400C;
const CC_NO_MORE_ENTRIES =      $0B00;
const CC_NO_FREE_SLOTS =        $0B01;
const CC_CLIENT_NOT_INITIALIZED =       $400C;
const CC_SERVER_NOT_INITIALIZED =       $400D;
const CC_VLM_NOT_INITIALIZED =  $400E;
const CC_NO_SERVER_LIST_TO_REBUILD =    $400F;
const CC_INVALID_SOURCE_PATH =  $4011;
const CC_INVALID_TARGET_PATH =  $4012;
const CC_LOCAL_OUT_OF_DYNAMIC_MEMORY =  $5001;
const CC_NO_SERVER_WITH_FREE_CONN =     $5002;
const CC_LOCAL_NO_MORE_SERVERS =        $5003;
const CC_LOCAL_NO_MORE_USERS =  $5005;
const CC_LOCAL_NO_MORE_RESOURCES =      $5005;
const CC_LOCAL_NO_MORE_WORKGROUPS =     $5005;
const CC_LOCAL_NO_MORE_SERVICES =       $5005;
const CC_LOCAL_REDIR_NOT_FOUND =        $5008;
const PNW_OPEN_FAILED = $7F00;
const PNW_READ_FAILED = $7E00;
const PNW_WRITE_FAILED =        $7D00;
const PNW_WRONG_READ_SIZE =     $7C00;
const PNW_GET_REDIR_FAILED =    $7B00;
const PNW_REDIRECT_DEVICE_FAILED =      $7A00;
const PNW_CANCEL_REDIR_FAILED = $7900;
const PNW_DELETE_FAILED =       $7800;
const PNW_RENAME_FAILED =       $7700;
const PNW_DOS_ERROR =   $7000;
const PNW_MALLOC_FAILED =       CC_LOCAL_OUT_OF_DYNAMIC_MEMORY;
const PNW_OUT_OF_MEMORY =       CC_LOCAL_OUT_OF_DYNAMIC_MEMORY;
const CC_FDS_ERROR =    $6000;
const CC_CANNOT_CREATE_DIR =    $6001;
const MAX_NETWORK_NODES =       50;
const MAX_PNW_ROUTES =  20;
const MAX_VIEWABLE_RESOURCES =  250;
const MAX_VIEWABLE_SERVICES =   250;
const MAX_LISTEN_ECBS = 20;
const MIN_HOP_COUNT =   1;
const MAX_HOP_COUNT =   15;
const REDIR_PRINTER_T = 3;
const REDIR_DISK_T =    4;
const PNW_USER =        2;
const PNW_PRINTER =     3;
const PNW_DIRECTORY =   4;
const PNW_ROUTE =       5;
const PNW_SERVER =      6;
const CF_SERVER =       1;
const CF_USER = 2;
const CF_RESOURCE =     3;
const CF_WORKGROUP =    5;
const CF_SECURITY =     6;
const CF_ERROR =        7;
const CF_AUDIT =        8;
const CF_HANDLE =       9;
const CF_PRINTER =      11;
const CF_SETUP =        12;
const CF_QUEUE_COM =    $10;
const CF_QUEUE_LPT =    $20;
const CF_QUEUE_QUE =    $30;
const PNW_PATH_LENGTH = 128;
const RESOURCE_PATH_LENGTH =    128;
const MAX_DRIVE_LETTERS =       26;
const MAX_OBJECT_SIZE = 256;
const PRINTER_DEVICE_NAME_LENGTH =      48;
const SERVER_NAME_LENGTH =      16;
const RESOURCE_NAME_LENGTH =    16;
const USER_NAME_LENGTH =        16;
const SETUP_NAME_LENGTH =       16;
const FULL_NAME_LENGTH =        50;
{const WORKGROUP_NAME_LENGTH =  16;}
const SECURITY_STRING_LENGTH =  16;
const PASSWORD_STRING_LENGTH =  16;
const DEVICE_STRING_LENGTH =    5;
const AUDIT_MESSAGE_LENGTH =    81;
const MAX_NOTE_LENGTH = 256;
const EXCEPTION_OBJECT_NAME_LENGTH =    64 ;
const SERVICE_DATA_SIZE =       512;
const SERVER_DESC_LENGTH =      50;
const SPOOL_DIRECTORY_LENGTH =  48;
const FORM_NAME_LENGTH =        13;
const VLM_CFG_PATH_LENGTH =     80;
const SERVICE_NAME_LENGTH =     16;
const SERVICE_INFO_LENGTH =     12;
{const OEM_NAME_LENGTH =        16;}
const MAX_PNW_EXCLUSIONS =      30;
const NUM_SYNC_STAMPS = 5;
const NUM_SCAN_EXCEPTIONS =     20;
const NW_SERVER_NAME_LENGTH =   48;
const NW_VOLUME_NAME_LENGTH =   17;
const NW_USER_NAME_LENGTH =     48;
const NW_OBJECT_NAME_LENGTH =   48;
const NW_QUEUE_NAME_LENGTH =    NW_OBJECT_NAME_LENGTH;
const NW_OBJ_WILD =     $FFFF;
const NW_OBJ_USER =     $0001;
const NW_OBJ_GROUP =    $0002;
const NW_OBJ_QUEUE =    $0003;
const NW_OBJ_SERVER =   $0004;
const NW_OBJ_DS_TREE =  $0278;
const OBJECT_NAME_LENGTH =      16;
const OBJ_SERVER_NAME_LENGTH =  48;
const BANNER_NAME_LENGTH =      14;
const CAP_DESC_LENGTH = 13;
const MAX_RESOURCES =   20;
const MAX_PNW_SERVERS = MAX_NETWORK_NODES;
const MAX_USERS =       MAX_NETWORK_NODES;
const MAX_DEFINED_USERS =       250;
const MAX_WORKGROUPS =  MAX_NETWORK_NODES;
const MAX_DEFINED_WORKGROUPS =  MAX_NETWORK_NODES;
const SETUP_VALUE_LENGTH =      200;
const MAX_SETUP_RECORDS =       50;
const MAX_PRINTER_FORMS =       50;
const MAX_CLIENT_CONNECTIONS =  32;
const SCREEN_LINE_LENGTH =      80;
const MAX_MESSAGE_LENGTH =      58;
const MAX_SIDEBAND_DATA =       (MAX_MESSAGE_LENGTH+1);
const MESSAGE_STRING_LENGTH =   30;
const MESSAGES_ON =     $00;
const MESSAGES_OFF =    $02;
const MESSAGES_FOREVER =        0;
const ALL_NW_RIGHTS =   $DF;
const READ_NW_RIGHTS =  $45;
const WRITE_NW_RIGHTS = $0A;
const NO_NW_RIGHTS =    $00;
const LC_FIVE_DATA_BITS =       $00;
const LC_SIX_DATA_BITS =        $01;
const LC_SEVEN_DATA_BITS =      $02;
const LC_EIGHT_DATA_BITS =      $03;
const LC_ONE_STOP_BITS =        $00;
const LC_TWO_STOP_BITS =        $04;
const LC_NO_PARITY =    $00;
const LC_ODD_PARITY =   $08;
const LC_EVEN_PARITY =  $18;
const LC_STICK_PARITY_DISABLED =        $00 ;
const LC_STICK_PARITY_ENABLED = $20;
const LC_BREAK_DISABLED =       $00 ;
const LC_BREAK_ENABLED =        $40;
const BD_1200 = $60;
const BD_2400 = $30;
const BD_4800 = $18;
const BD_9600 = $0C;
const BD_19200 =        $06;
const DEF_AUTOENDCAP_FLAG =     1;
const DEF_BANNER_FLAG = 0;
const DEF_COPIES_FLAG = 1;
const DEF_DIRECT_FLAG = 0;
const DEF_FORM_FEED_FLAG =      0;
const DEF_PAPER_TYPE =  0;
const DEF_NOTIFY_FLAG = 0;
const DEF_TABS_SETTING =        0;
const DEF_TAB_SIZE =    8;
const DEF_HOLD_FLAG =   0;
const DEF_WAIT_SETTING =        10;
const MIN_COPIES =      1;
const MAX_COPIES =      250;
const MIN_TABS =        0;
const MAX_TABS =        30;
const MIN_PAPERTYPE =   0;
const MAX_PAPERTYPE =   10;
const MIN_WAIT =        0;
const MAX_WAIT =        3600;
const MAX_PRINT_JOB_ENTRIES =   52;
const JOB_FILE_NAME_LENGTH =    15;
const SERIAL_DEVICE =   1;
const PARALLEL_DEVICE = 2;
const QUEUE_DEVICE =    3;
const PJE_USER_HOLD =   $40;
const PJE_OPERATOR_HOLD =       $80;
const PJE_ON_HOLD =     $40;
const PJE_HOLD_FOREVER =        $40;
const PJE_READY =       $10;
const PJE_PRINTING =    $08;
const PJE_CONTINUOUS =  $04;
const PJE_FILLING =     $20;
const VLMF_CAP_BANNER = $80;
const VLMF_TRANSLATE_TABS =     $40;
const VLMF_NOTIFY =     $10;
const VLMF_NO_FF =      $08;
const VLMF_RELEASE_JOB =        $04;
const VLMF_DIRECT =     $04;
const VLMF_USER_HOLD =  $40;
const VLMF_OPERATOR_HOLD =      $80;
const MAX_RESOURCE_RESTRICTIONS =       10;
const MAX_SHARED_DEVICE_NAME_LENGTH =   48 ;
const PRINTER_STATE_READY =     $00;
const PRINTER_STATE_PRINTING =  $01;
const PRINTER_STATE_WAITING =   $02;
const PRINTER_STATE_NOT_DEFINED =       $04;
const PRINTER_STATE_ACTIVE =    $03;
const PRINTER_STATE_HALTED =    $10;
const PRINTER_STATE_WAITING_FOR_FORM =  $20;
const PRINTER_STATE_OFF_LINE =  $40;
const PRINTER_STATE_OUT_OF_PAPER =      $80;
const PRINTER_STATE_PROBLEM =   $F0;
const PRINTER_OLD_JOB_HOLD =    0;
const PRINTER_OLD_JOB_PRINT =   1;
const PRINTER_OLD_JOB_DELETE =  2;
const PRINTER_CONSOLE_NO_SHOW = 0;
const PRINTER_CONSOLE_WAIT =    $FFFF;
const DEFAULT_CHARS_PER_SEC =   16384;
const PRINTER_SERVICE_INTERVAL =        1;
const PRINTER_CHARS_PER_SEC_CONST =     18;
const DEFAULT_CONSOLE_TIMEOUT = PRINTER_CONSOLE_WAIT;
const DEFAULT_OLD_JOB_FLAG =    PRINTER_OLD_JOB_HOLD;
const MIN_CPS = 1;
const MAX_CPS = 65535;
const MIN_ERRORWAIT =   10;
const MAX_ERRORWAIT =   1200;
const DEFAULT_ERRORWAIT =       30;
const MIN_DATABITS =    7;
const MAX_DATABITS =    8;
const MIN_STOPBITS =    1;
const MAX_STOPBITS =    2;
const MIN_CONSOLE_WAIT_TIME =   0;
const MAX_CONSOLE_WAIT_TIME =   300;
const MIN_CONNECTIONS = 2;
const MAX_CONNECTIONS = MAX_NETWORK_NODES;
const MIN_CLIENT_TASKS =        4;
const MAX_CLIENT_TASKS =        200;
const MIN_DIR_BUFFERS = 20;
const MAX_DIR_BUFFERS = 1000;
const MIN_NET_DIRS =    0;
const MAX_NET_DIRS =    20;
const MIN_NET_PRINTERS =        0;
const MAX_NET_PRINTERS =        3;
const MIN_PRINT_B_SIZE =        512;
const MAX_PRINT_B_SIZE =        4096;
const MIN_RECEIVE_BUFFERS =     3;
const MAX_RECEIVE_BUFFERS =     20;
const MIN_RECEIVE_B_SIZE =      1024;
const MAX_RECEIVE_B_SIZE =      8192;
const MIN_IO_BUFFERS =  0;
const MAX_IO_BUFFERS =  25;
const MIN_IO_BUF_MUL =  2;
const MAX_IO_BUF_MUL =  64;
const MIN_IO_B_SIZE =   512;
const MAX_IO_B_SIZE =   32768;
const MIN_SERVICE_EXTENSIONS =  0;
const DEFAULT_SERVICE_EXTENSIONS =      3;
const MAX_SERVICE_EXTENSIONS =  10;
const A_LOGIN = 21;
const A_LOGOUT =        23;
const A_SERVER_UP =     50;
const A_SERVER_DOWN =   18;
const A_USER_GIVEN =    $FFFF;
const A_SUPER_CHANGE_PASS =     48;
const A_DELETE_AUDIT_LOG =      7;
const CREATE_OP =       4;
const DELETE_OP =       5;
const CHANGE_OP =       7;
const FIND_BY_NAME =    1;
const FIND_BY_VALUE =   2;
const VLM_ID_VLM =      $0001;
const VLM_ID_CONN =     $0010;
const VLM_ID_TRAN =     $0020;
const VLM_ID_IPX =      $0021;
const VLM_ID_TCP =      $0022;
const VLM_ID_NWP =      $0030;
const VLM_ID_BIND =     $0031;
const VLM_ID_NDS =      $0032;
const VLM_ID_PNW =      $0033;
const VLM_ID_REDIR =    $0040;
const VLM_ID_FIO =      $0041;
const VLM_ID_PRINT =    $0042;
const VLM_ID_GENR =     $0043;
const VLM_ID_NETX =     $0050;
const VLM_ID_AUTO =     $0060;
const VLM_ID_NMR =      $0100;
const VLM_GEN = $01;
const GEN_VER = $00;
const VLM_STA = $03;
const CONN_ALO =        $04;
const CONN_FRE =        $06;
const CONN_GET =        $07;
const CONN_SET =        $08;
const CONN_LUP =        $0A;
const CONN_NLUN =       $0D;
const CONN_NLUC =       $0E;
const CONN_GNUM =       $0F;
const TRAN_REQ =        $06;
const REDIR_APIS =      $08;
const CEI_NET_TYPE =    $01;
const CEI_AUTH =        $03;
const CEI_MAJ_MIN_VER = $08;
const CEI_CONN_NUM =    $0D;
const CEI_TRAN_BUFF =   $11;
const NWP_CON = $04;
const NWP_DIS = $05;
const NWP_LIN = $08;
const NWP_LOUT =        $09;
const NWP_SPEC =        $0A;
const GS_MOD =  $02;
const NWP_PNW = $0D;
const NWP_MUX_DX =      $0F;
const PRINT_SGPD =      $04;
const PRINT_GPN =       $07;
const PRINT_GSR =       $08;
const GENR_SPEC =       $06;
const VLM_LOADED =      $8000;
const PNW_LOADED =      $0001;
const BIND_LOADED =     $0002;
const NDS_LOADED =      $0004;
const RES_FLAGS_SECONDARY =     $01;
const RES_FLAGS_HIDDEN =        $02;
const RES_FLAGS_PRIVATE =       $80;
const ACTUAL_PATH_LENGTH =      128;
const MOUNT_POINT_LENGTH =      48;
const ENCRYPTED_PASSWORD_LENGTH =       16;
const LOGIN_REST_TIME_LENGTH =  42;
const USER_FLAG_SUPERVISOR =    $0001;
const USER_FLAG_ACCOUNT_DISABLED =      $0002;
const USER_FLAG_CHANGE_PASSWORD =       $0004;
const USER_FLAG_UNIQUE_PASSWORD =       $0008;
const USER_DEFAULT_ACCOUNT_FLAGS =      (USER_FLAG_SUPERVISOR or USER_FLAG_CHANGE_PASSWORD);
const MIN_MINIMUM_PASS_LENGTH = 1;
const MAX_MINIMUM_PASS_LENGTH = 15;
const MIN_DAYS_BETW_CHANGES =   1;
const MAX_DAYS_BETW_CHANGES =   100;
const USER_DEFAULT_GRACE_LOGINS =       5;
const DEFAULT_GRACE_LOGINS =    USER_DEFAULT_GRACE_LOGINS;
const ROUTE_FLAG_HOME_NETWORK = $0001;
const MAX_SERVER_MANAGERS =     10;
const SERVER_MODULE_SECURITY =  $0001;
const SERVER_MODULE_AUTH_FULL = $0002;
const SERVER_MODULE_AUTH_LOCAL =        $0004;
const SERVER_MODULE_SCREEN =    $0008;
const SERVER_MODULE_REPORT =    $0010;
const SERVER_MODULE_DIAGS =     $0020;
const SERVER_MODULE_EXT =       $0040;
const SERVER_MODULE_DOD =       $0080;
const SERVER_MODULE_CONSOLE =   $0100;
const SERVER_MODULE_DEFAULT =   $00FB;
const SERVER_MODULE_SALVAGE =   $0200;
const COPY_NCP_TO_LOCAL =       1;
const COPY_NCP_TO_NCP = 0;
const FDS_IS_ENABLED =  1;
const FDS_IS_DISABLED = 2;
const FDS_PASSWORD_CHANGED =    3;
const FDS_INVALID_PASSWORD =    $F9;
const SERVER_FLAG_LOCAL_SECURITY =      $01;
const LSB_NORIGHTS =    $0000;
const LSB_COMPUTER_ENABLED =    $0001;
const LSB_LPT1_ENABLED =        $0002;
const LSB_LPT2_ENABLED =        $0004;
const LSB_LPT3_ENABLED =        $0008;
const LSB_FLOPPY_ENABLED =      $0010;
const LSB_ALLRIGHTS =   $0FFF;
const NWMOVE_RESOURCES =        $00000001;
const NWCOPY_ROUTES =   $00000002;
const NWRESET_USERS =   $00000004;
const NETCFG_WORKGROUPNAME =    $0001;
const NETCFG_WORKGROUPNET =     $2;
const NETCFG_BROADCAST_RETRIES =        $4;
const NETCFG_BROADCAST_TIMEOUT =        $8;
const NETCFG_BROADCAST_DELAY =  $10;
const NETCFG_ENDMASK =  $001f;
const USER_FILE_ID =    0;
const WORKGROUP_FILE_ID =       1;
const RESOURCE_FILE_ID =        2;
const PNW_SEMAPHORE_LOCK =      1;
const PNW_SEMAPHORE_TIMEOUT =   (30 * 18);
const SERVER_STATE_FLAG_UP =    $00000001;
const SERVER_STATE_FLAG_LOCAL = $00000002;
const SERVER_STATE_FLAG_ORPHAN =        $00000004;
const SERVER_STATE_FLAG_IN_CURRENT_WG = $00000008;
{const SERVER_STATUS_SIZE =     (sizeof (SERVER_STATUS) + sizeof (SERVER_STATS1)+
			     sizeof (SERVER_STATS2) + sizeof (CURRENT_STATE));}
const CONTROL_DIR_NAME_DEF =    'NWCNTL';
const BROWSE_RESOURCE_NAME_DEF =        'NWCNTL';
const USER_FILE_NAME_DEF =      '\USER';
const RESOURCE_FILE_NAME_DEF =  '\RESOURCE';
const WORKGROUP_FILE_NAME_DEF = '\WORKGRP';
const SERVER_FILE_NAME_DEF =    '\SERVER';
const SECURITY_FILE_NAME_DEF =  '\SECURITY';
const AUDIT_FILE_NAME_DEF =     '\AUDIT';
const ERROR_FILE_NAME_DEF =     '\ERROR';
const PRINTER_FILE_NAME_DEF =   '\PRINTER';
const SPOOLER_FILE_NAME_DEF =   '\SPOOLER';
const SETUP_FILE_NAME_DEF =     '\SETUP';
const HANDLE_FILE_NAME_DEF =    '\HANDLE';
const DEFAULT_SETUP_NAME_DEF =  'DEFAULT';
const DEFAULT_FORM_NAME_DEF =   'DEFAULT';
const LPT_NAME_DEF =    'LPT';
const COM_NAME_DEF =    'COM';
const LOCAL_SECURITY_NAME_DEF = 'LOCAL_MACHINE_HARDWARE';
const EMAIL_DIR_NAME_DEF =      'EMAIL';
const SUPERVISOR_USER_NAME_DEF =        'SUPERVISOR';
const TEMPLATE_USER_NAME_DEF =  'TEMPLATE';
const MOVE_RESOURCE_NAME_DEF =  '\MOVERES';

{File NWPRINT.H:}
const START_CAPTURE =   1;
const END_CAPTURE =     2;
const CANCEL_CAPTURE =  3;
const GET_PRINT_JOB_FLAGS =     4;
const SET_PRINT_JOB_FLAGS =     5;
const GET_BANNER_USER_NAME =    6;
const SET_BANNER_USER_NAME =    7;
const GET_PRINTER_SETUP_STRING =        8;
const SET_PRINTER_SETUP_STRING =        9;
const GET_PRINTER_RESET_STRING =        10;
const SET_PRINTER_RESET_STRING =        11;
{const NWCAPTURE_FLAGS1 =       NWCAPTURE_FLAGSRW;
const NWCAPTURE_FLAGS2 =        NWCAPTURE_FLAGSRO;}
const NWAPIPIPE =       '\PIPE\\NWSPOOL\API' ;
const NET_SPOOL_SEG =   '\sharemem\nwspool\seg1';
const NET_SPOOL_SEM1 =  '\sem\nwspool\sem1';
const NET_SPOOL_SEM2 =  '\sem\nwspool\sem2';
const NET_SPOOL_SEM3 =  '\sem\nwspool\sem3';

{File NWPS_CFG.H:}
const NWPS_ATTR_CART =  0 ;
const NWPS_ATTR_CLASS = 1 ;
const NWPS_ATTR_CN =    2 ;
const NWPS_ATTR_CONF =  3 ;
const NWPS_ATTR_DQUEUE =        4 ;
const NWPS_ATTR_DESC =  5 ;
const NWPS_ATTR_DEVICE =        6 ;
const NWPS_ATTR_HOST_DEV =      7 ;
const NWPS_ATTR_HOST_RES =      8 ;
const NWPS_ATTR_HOST_SER =      9 ;
const NWPS_ATTR_L =     10 ;
const NWPS_ATTR_MEMORY =        11 ;
const NWPS_ATTR_NADD =  12 ;
const NWPS_ATTR_NADD_REST =     13 ;
const NWPS_ATTR_NOTIFY =        14 ;
const NWPS_ATTR_O =     15 ;
const NWPS_ATTR_OPER =  16 ;
const NWPS_ATTR_OU =    17 ;
const NWPS_ATTR_OWNER = 18 ;
const NWPS_ATTR_PAGE =  19 ;
const NWPS_ATTR_PJOB =  20 ;
const NWPS_ATTR_PCTRL = 21 ;
const NWPS_ATTR_PRINT_SER =     22 ;
const NWPS_ATTR_PRINTER =       23 ;
const NWPS_ATTR_PRIV_KEY =      24 ;
const NWPS_ATTR_PUBL_KEY =      25 ;
const NWPS_ATTR_QUEUE = 26 ;
const NWPS_ATTR_QUE_DIR =       27 ;
const NWPS_ATTR_SAP =   28 ;
const NWPS_ATTR_SEE_ALSO =      29 ;
const NWPS_ATTR_SERIAL =        30 ;
const NWPS_ATTR_SERVER =        31 ;
const NWPS_ATTR_STAT =  32 ;
const NWPS_ATTR_TYPE =  33 ;
const NWPS_ATTR_USER =  34 ;
const NWPS_ATTR_VERS =  35 ;
const NWPS_ATTR_VOLUME =        36 ;
const NWPS_ATTR_ACL =   37 ;
const NWPS_AUTO_START = 1 ;
const NWPS_USER_START = 0 ;
const NWPS_JOB_OWNER =  -1;
const NWPS_BANNER_TEXT =        0 ;
const NWPS_BANNER_POST =        1 ;
const NWPS_DEFAULT =    -2;
const NWPS_P_ELSEWHERE =        -1 ;
const NWPS_P_OTHER =    0 ;
const NWPS_P_PAR =      1 ;
const NWPS_P_SER =      2 ;
const NWPS_P_XNP =      3 ;
const NWPS_P_APPLE =    4 ;
const NWPS_P_UNIX =     5 ;
const NWPS_P_AIO =      6 ;
const NWPS_PORT_1 =     0;
const NWPS_PORT_2 =     1;
const NWPS_PORT_3 =     2;
const NWPS_PORT_4 =     3;
const NWPS_PORT_5 =     4;
const NWPS_PORT_6 =     5;
const NWPS_PORT_7 =     6;
const NWPS_PORT_8 =     7;
const NWPS_PORT_9 =     8;
const NWPS_PORT_10 =    9;
const NWPS_RUNNING =    0 ;
const NWPS_GOING_DOWN = 1 ;
const NWPS_DOWN =       2 ;
const NWPS_INITIALIZING =       3 ;
const NWPS_PSTAT_JOB_WAIT =     0;
const NWPS_PSTAT_FORM_WAIT =    1;
const NWPS_PSTAT_PRINTING =     2;
const NWPS_PSTAT_PAUSED =       3;
const NWPS_PSTAT_STOPPED =      4;
const NWPS_PSTAT_MARK_EJECT =   5;
const NWPS_PSTAT_READY_TO_DOWN =        6;
const NWPS_PSTAT_NOT_CONNECTED =        7;
const NWPS_PSTAT_PRIVATE =      8;
const NWPS_PSTAT_CONNECTING =   9;
const NWPS_QUEUE_ONLY = 0;
const NWPS_QUEUE_BEFORE_FORM =  1;
const NWPS_FORM_ONLY =  2;
const NWPS_FORM_BEFORE_QUEUE =  3;
const NWPS_BAUD_RATE_0300 =     0;
const NWPS_BAUD_RATE_0600 =     1;
const NWPS_BAUD_RATE_1200 =     2;
const NWPS_BAUD_RATE_2400 =     3;
const NWPS_BAUD_RATE_4800 =     4;
const NWPS_BAUD_RATE_9600 =     5;
const NWPS_BAUD_RATE_19200 =    6;
const NWPS_BAUD_RATE_38400 =    7;
const NWPS_DATA_BITS_5 =        5;
const NWPS_DATA_BITS_6 =        6;
const NWPS_DATA_BITS_7 =        7;
const NWPS_DATA_BITS_8 =        8;
const NWPS_STOP_BITS_1 =        0;
const NWPS_STOP_BITS_1_5 =      1;
const NWPS_STOP_BITS_2 =        2;
const NWPS_PARITY_NONE =        0;
const NWPS_PARITY_EVEN =        1;
const NWPS_PARITY_ODD = 2;
const NWPS_AIO_WILDCARD =       (-1) ;
const NWPS_AIO_COMX_TYPE =      1;
const NWPS_AIO_ARTIC_TYPE =     2;
const NWPS_AIO_WNIM_TYPE =      3;
const NWPS_AIO_AVMB1_TYPE =     101;
const NWPS_AIO_ANIC_TYPE =      102;
const NWPS_AIO_WNIC_TYPE =      103;
const NWPS_AIO_HAYES_TYPE =     104;
const NWPS_AIO_DIGIXI_TYPE =    105;
const NWPS_AIO_DIGICX_TYPE =    106;
const NWPS_AIO_DIGIXM_TYPE =    107;
const NWPS_AIO_DIGIEP_TYPE =    108;
const NWPS_AIO_NPCC_TYPE =      109;
const NWPS_AIO_BAUD_50 =        0;
const NWPS_AIO_BAUD_75 =        1;
const NWPS_AIO_BAUD_110 =       2;
const NWPS_AIO_BAUD_134p5 =     3;
const NWPS_AIO_BAUD_150 =       4;
const NWPS_AIO_BAUD_300 =       5;
const NWPS_AIO_BAUD_600 =       6;
const NWPS_AIO_BAUD_1200 =      7;
const NWPS_AIO_BAUD_1800 =      8;
const NWPS_AIO_BAUD_2000 =      9;
const NWPS_AIO_BAUD_2400 =      10;
const NWPS_AIO_BAUD_3600 =      11;
const NWPS_AIO_BAUD_4800 =      12;
const NWPS_AIO_BAUD_7200 =      13;
const NWPS_AIO_BAUD_9600 =      14;
const NWPS_AIO_BAUD_19200 =     15;
const NWPS_AIO_BAUD_38400 =     16;
const NWPS_AIO_BAUD_57600 =     17;
const NWPS_AIO_BAUD_115200 =    18;
const NWPS_AIO_DATA_BITS_5 =    0;
const NWPS_AIO_DATA_BITS_6 =    1;
const NWPS_AIO_DATA_BITS_7 =    2;
const NWPS_AIO_DATA_BITS_8 =    3;
const NWPS_AIO_STOP_BITS_1 =    0;
const NWPS_AIO_STOP_BITS_1p5 =  1;
const NWPS_AIO_STOP_BITS_2 =    2;
const NWPS_AIO_PARITY_NONE =    0;
const NWPS_AIO_PARITY_ODD =     1;
const NWPS_AIO_PARITY_EVEN =    2;
const NWPS_AIO_PARITY_MARK =    3;
const NWPS_AIO_PARITY_SPACE =   4;
const NWPS_TYPE_UNKNOWN =       0 ;
const NWPS_TYPE_EXE =   1 ;
const NWPS_TYPE_NLM =   2 ;
const NWPS_TYPE_SERVER_VAP =    3 ;
const NWPS_TYPE_BRIDGE_VAP =    4 ;
const NWPS_TYPE_UNIX =  5 ;

{File NWPS_COM.H:}
const NWPS_LIMITED =    0 ;
const NWPS_USER =       1 ;
const NWPS_OPERATOR =   2 ;
const NWPS_PLACE_ON_HOLD =      0 ;
const NWPS_RETURN_TO_QUEUE =    1 ;
const NWPS_THROW_AWAY = 2 ;
const NWPS_PRINTER_RUNNING =    0 ;
const NWPS_PRINTER_OFFLINE =    1 ;
const NWPS_PRINTER_PAPER_OUT =  2 ;
const NWPS_CONNECTION_LOST =    4 ;
const NWPS_PRINTER_SHARED =     0 ;
const NWPS_PRINTER_PRIVATE =    1 ;
const NWPS_DST_DATA =   0;
const NWPS_DST_FLUSH =  1;
const NWPS_DST_PAUSE =  2;
const NWPS_DST_START =  3;
const NWPS_DST_SIDEBAND =       4;
const NWPS_DST_NEW_JOB =        5;
const NWPS_DST_RELEASE =        6;
const NWPS_DST_RECLAIM =        7;
const NWPS_DST_EOJ =    8;

{File NWPS_DEF.H:}
const NWPS_MAX_NAME_SIZE =      MAX_DN_BYTES;
{const NWPS_MAX_NAME_SIZE =     514;
const NWPS_BIND_NAME_SIZE =     OBJECT_NAME_SIZE;}
const NWPS_BIND_NAME_SIZE =     48;
const NWPS_BINDERY_SERVICE =    0 ;
const NWPS_DIRECTORY_SERVICE =  1 ;
const NWPS_BINDERY_SERVICE_PRE_40 =     2 ;
const NWPS_BINDERY_SERVICE_ALL =        -2 ;
const NWPS_JOB_NAME_SIZE =      32;
const NWPS_BANNER_NAME_SIZE =   12;
const NWPS_BANNER_FILE_SIZE =   12;
const NWPS_HEADER_FILE_SIZE =   12;
const NWPS_FORM_NAME_SIZE =     12;
const NWPS_DEVI_NAME_SIZE =     32;
const NWPS_MODE_NAME_SIZE =     32;
const NWPS_FUNC_NAME_SIZE =     32;
const NWPS_DESCRIPT_SIZE =      128 ;
const NWPS_APPLE_NAME_SIZE =    32;
const NWPS_APPLE_TYPE_SIZE =    32;
const NWPS_APPLE_ZONE_SIZE =    32;
const NWPS_UNIX_HOST_SIZE =     255;
const NWPS_UNIX_PRNT_SIZE =     255;
const NWPS_OTHER_SIZE = 1024 ;
const NWPS_MAX_PRINTERS =       255 ;
const NWPS_MAX_FORMS =  255 ;

{File NWPS_ERR.H:}
const NWPSE_SUCCESSFUL =        $0000 ;
const NWPSE_NO_AVAILABLE_SPX_CONNECTI = $0040 ;
const NWPSE_SPX_NOT_INITIALIZED =       $0041 ;
const NWPSE_NO_SUCH_PSERVER =   $0042 ;
const NWPSE_UNABLE_TO_GET_SERVER_ADDR = $0043 ;
const NWPSE_UNABLE_TO_CONNECT_TO_SERV = $0044 ;
const NWPSE_NO_AVAILABLE_IPX_SOCKETS =  $0045 ;
const NWPSE_ALREADY_ATTACH_TO_A_PRINT = $0046 ;
const NWPSE_IPX_NOT_INITIALIZED =       $0047 ;
const NWPSE_CONNECTION_TERMINATED =     $00ED ;
const NWPSE_TOO_MANY_NW_SERVERS =       $0101 ;
const NWPSE_UNKNOWN_NW_SERVER = $0102 ;
const NWPSE_BINDERY_LOCKED =    $0103 ;
const NWPSE_NW_SERVER_MAXED_OUT =       $0104 ;
const NWPSE_NO_RESPONSE =       $0105 ;
const NWPSE_ALREADY_ATTACHED =  $0106 ;
const NWPSE_CANT_ATTACH =       $0107 ;
const NWPSE_NO_ACCOUNT_BALANCE =        $0108 ;
const NWPSE_NO_CREDIT_LEFT =    $0109 ;
const NWPSE_INTRUDER_DETECTION_LOCK =   $010A ;
const NWPSE_TOO_MANY_CONNECTIONS =      $010B ;
const NWPSE_ACCOUNT_DISABLED =  $010C ;
const NWPSE_UNAUTHORIZED_TIME = $010D ;
const NWPSE_UNAUTHORIZED_STATION =      $010E ;
const NWPSE_NO_MORE_GRACE =     $010F ;
const NWPSE_LOGIN_DISABLED =    $0110 ;
const NWPSE_ILLEGAL_ACCT_NAME = $0111 ;
const NWPSE_PASSWORD_HAS_EXPIRED =      $0112 ;
const NWPSE_ACCESS_DENIED =     $0113 ;
const NWPSE_CANT_LOGIN =        $0114 ;
const NWPSE_PRINTER_ALREADY_INSTALLED = $0115 ;
const NWPSE_CANT_OPEN_CONFIG_FILE =     $0116 ;
const NWPSE_CANT_READ_CONFIG_FILE =     $0117 ;
const NWPSE_UNKNOWN_PRINTER_TYPE =      $0118 ;
const NWPSE_MAX_FORMS_EXCEDED = $0119 ;
const NWPSE_NO_SUCH_JOB =       $011A ;
const NWPSE_UNKNOWN_PRINTER_ERROR =     $011B ;
const NWPSE_COMMUNICATIONS_ERROR =      $011C ;
const NWPSE_MODE_NOT_SUPPORTED =        $011D ;
const NWPSE_NO_SUCH_QUEUE =     $0200 ;
const NWPSE_NOT_AUTHORIZED_FOR_QUEUE =  $0201 ;
const NWPSE_QUEUE_HALTED =      $0202 ;
const NWPSE_UNABLE_TO_ATTACH_TO_QUEUE = $0203 ;
const NWPSE_TOO_MANY_QUEUE_SERVERS =    $0204 ;
const NWPSE_INVALID_REQUEST =   $0300 ;
const NWPSE_NOT_ENOUGH_MEMORY = $0301 ;
const NWPSE_NO_SUCH_PRINTER =   $0302 ;
const NWPSE_INVALID_PARAMETER = $0303 ;
const NWPSE_PRINTER_BUSY =      $0304 ;
const NWPSE_CANT_DETACH_PRIMARY_SERVE = $0305 ;
const NWPSE_GOING_DOWN =        $0306 ;
const NWPSE_NOT_CONNECTED =     $0307 ;
const NWPSE_ALREADY_IN_USE =    $0308 ;
const NWPSE_NO_JOB_ACTIVE =     $0309 ;
const NWPSE_NOT_ATTACHED_TO_SERVER =    $030A ;
const NWPSE_ALREADY_IN_LIST =   $030B ;
const NWPSE_DOWN =      $030C ;
const NWPSE_NOT_IN_LIST =       $030D ;
const NWPSE_NO_RIGHTS = $030E ;
const NWPSE_CMD_NOT_SUPPORTED = $030F ;
const NWPSE_PASSWORD_UNAVAILABLE =      $0310 ;
const NWPSE_ILLEGAL_NOTIFY_OBJECT =     $0311 ;
const NWPSE_UNABLE_TO_VERIFY_IDENTITY = $0400 ;
const NWPSE_NOT_REMOTE_PRINTER =        $0401 ;
const NWPSE_UNAUTHORIZED_PRINTER =      $0402 ;
const NWPSE_NOT_READY = $0500 ;
const NWPSE_INVALID_PROCESS =   $0501 ;
const NWPSE_INVALID_JOB_ID =    $0502 ;
const NWPSE_NO_MSG_FILE =       $0503 ;
const NWPSE_JOB_REQUEST_ACTIVE =        $0504 ;
const NWPSE_END_OF_LIST =       $7760 ;
const NWPSE_NO_SUCH_LIST_ENTRY =        $7761 ;
const NWPSE_END_OF_ATTR_LIST =  $7762 ;
const NWPSE_WRONG_CLASS_LIST_ENTRY =    $7763 ;
const NWPSE_NO_SUCH_PRINT_SERVER =      $7764 ;
const NWPSE_BAD_VERSION =       $7770 ;
const NWPSE_END_SCAN =  $7771 ;
const NWPSE_ERROR_EXPANDING_DB =        $7772 ;
const NWPSE_ERROR_GETTING_DEFAULT =     $7773 ;
const NWPSE_ERROR_OPENING_DB =  $7774 ;
const NWPSE_ERROR_READING_DB =  $7775 ;
const NWPSE_PRINTCON_DB_FULL =  $7776 ;
const NWPSE_ERROR_WRITING_DB =  $7777 ;
const NWPSE_INTERNAL_ERROR =    $7779 ;
const NWPSE_JOB_NOT_FOUND =     $777A ;
const NWPSE_NO_DEFAULT_SPECIFIED =      $777B ;
const NWPSE_OUT_OF_MEMORY =     $777C ;
const NWPSE_ERROR_SEEKING_DB =  $777D ;
const NWPSE_NO_ACCESS_RIGHTS_DB =       $777E ;
const NWPSE_UNICODE_TBL_NOT_LOADED =    $777F ;
const NWPSE_ERROR_OPENING_IMP = $7790 ;
const NWPSE_ERROR_READING_IMP = $7791 ;
const NWPSE_ERROR_WRITING_IMP = $7792 ;
const NWPSE_NO_ACCESS_RIGHTS_IMP =      $7793 ;
const NWPSE_CONTEXT_CANNOT_BE_ROOT =    $77A0 ;
const NWPSE_CONTEXT_CONTAINS_NO_ORGS =  $77A1 ;
const NWPSE_HASHED_STRING_NOT_FOUND =   $77A2 ;
const NWPSE_CANT_CHANGE_MODE =  $77A3 ;
const NWPSE_UNABLE_TO_GET_SOCKET_RTAG = $77B0 ;
const NWPSE_DUPLICATE_THREAD_REG =      $77B1 ;
const NWPSE_UNREGISTERED_THREAD =       $77B2 ;
const NWPSE_UNREGISTERED_NLM =  $77B3 ;

{File NWPS_JOB.H:}
const NWPS_EXTENDED_SEARCH =    0;
const NWPS_SINGLE_SEARCH =      1;
const NWPS_LIMITED_SEARCH =     2;
const NWPS_DOMINANT_DEFAULT_JOB =       $01 ;
const NWPS_CURRENT_DB_DEFAULT_JOB =     $02;
const NWPS_DBOWNER_PUBLIC =     '(PUBLIC)';
const NWPS_DEVICE_NONE =        '(NONE)';
const NWPS_MODE_NONE =  '(NONE)';
const NWPS_SUPPRESS_FF =        $0800;
const NWPS_NOTIFY_USER =        $1000;
const NWPS_TEXT_MODE =  $4000;
const NWPS_PRINT_BANNER =       $8000;
const NWPS_JOB_EXPAND_TABS =    $00000001 ;
const NWPS_JOB_NO_FORMFEED =    $00000002 ;
const NWPS_JOB_NOTIFY = $00000004 ;
const NWPS_JOB_PRINT_BANNER =   $00000008 ;
const NWPS_JOB_AUTO_END =       $00000010 ;
const NWPS_JOB_TIMEOUT =        $00000020 ;
const NWPS_JOB_ENV_DS = $00000040 ;
const NWPS_JOB_ENV_MASK =       $000001C0 ;
const NWPS_JOB_DS_PRINTER =     $00000200 ;
const NWPS_JOB_PRINTER_MASK =   $00000E00 ;
const NWPS_JOB_DEFAULT =        (NWPS_JOB_PRINT_BANNER or NWPS_JOB_AUTO_END);
const NWPS_JOB_DEFAULT_COPIES = 1 ;
const NWPS_JOB_DEFAULT_TAB =    8 ;

{File NWPS_NLM.H:}

{File NWPS_PDF.H:}
const NWPS_RESET_MODE = '(Re-initialize)';
const NWPS_MAX_FUNC_SIZE =      256;

{File NWPS_PKT.H:}
const CMD_LOGIN_TO_PRINT_SERVER =       $01;
const CMD_GET_PRINT_SERVER_INFO =       $02;
const CMD_DOWN =        $03;
const CMD_CANCEL_DOWN = $04;
const CMD_GET_PRINTER_STATUS =  $05;
const CMD_STOP_PRINTER =        $06;
const CMD_START_PRINTER =       $07;
const CMD_MOUNT_FORM =  $08;
const CMD_REWIND_PRINT_JOB =    $09;
const CMD_EJECT_PAGE =  $0A;
const CMD_MARK_PAGE =   $0B;
const CMD_CHANGE_SERVICE_MODE = $0C;
const CMD_GET_JOB_STATUS =      $0D;
const CMD_ABORT_JOB =   $0E;
const CMD_SCAN_QUEUE_LIST =     $0F;
const CMD_CHANGE_QUEUE_PRIORITY =       $10;
const CMD_ADD_QUEUE =   $11;
const CMD_DELETE_QUEUE =        $12;
const CMD_GET_PRINTERS_FOR_QUEUE =      $13;
const CMD_SCAN_NOTIFY_LIST =    $14;
const CMD_CHANGE_NOTIFY =       $15;
const CMD_ADD_NOTIFY =  $16;
const CMD_DELETE_NOTIFY =       $17;
const CMD_ATTACH_TO_FILE_SERVER =       $18;
const CMD_DETACH_FROM_FILE_SERVER =     $19;
const CMD_GET_ATTACHED_SERVERS =        $1A;
const CMD_GET_RPRINTER =        $80;
const CMD_CONNECT_RPRINTER =    $81;
const CMD_SET_REMOTE_MODE =     $82;
const CMD_SCAN_RPRINTER =       $84;
const CMD_ADD_FORM =    $1D;
const CMD_DISMOUNT_FORM =       $1E;
const CMD_GET_EXT_PRINTER_STATUS =      $1F;
const CMD_UDS_LOGIN_TO_PRINT_SERVER =   $A1;
const CMD_UDS_SCAN_QUEUE_LIST = $AF;
const CMD_UDS_CHANGE_QUEUE_PRIORITY =   $B0;
const CMD_UDS_ADD_QUEUE =       $B1;
const CMD_UDS_DELETE_QUEUE =    $B2;
const CMD_UDS_GET_PRINTERS_FOR_QUEUE =  $B3;
const CMD_UDS_SCAN_NOTIFY_LIST =        $B4;
const CMD_UDS_CHANGE_NOTIFY =   $B5;
const CMD_UDS_ADD_NOTIFY =      $B6;
const CMD_UDS_DELETE_NOTIFY =   $B7;
const CMD_UDS_GET_JOB_ID =      $B8;
const CMD_DS_LOGIN_TO_PRINT_SERVER =    $D1;
const CMD_DS_SCAN_QUEUE_LIST =  $DF;
const CMD_DS_CHANGE_QUEUE_PRIORITY =    $E0;
const CMD_DS_ADD_QUEUE =        $E1;
const CMD_DS_DELETE_QUEUE =     $E2;
const CMD_DS_GET_PRINTERS_FOR_QUEUE =   $E3;
const CMD_DS_SCAN_NOTIFY_LIST = $E4;
const CMD_DS_CHANGE_NOTIFY =    $E5;
const CMD_DS_ADD_NOTIFY =       $E6;
const CMD_DS_DELETE_NOTIFY =    $E7;
const CMD_DS_GET_JOB_ID =       $E8;

{File NWPSCFG0.H:}

{File NWPSCFG1.H:}

{File NWPSCOM0.H:}

{File NWPSCOM1.H:}

{File NWPSINT.H:}
const PDF_LIBRARY_VERSION =     40;
{
const PDF_FILE_NAME =   "%s\\SYS:PUBLIC\\PRINTDEF.DAT";
const PDF_FILE_NAME_PRE_40 =    "%s\\SYS:PUBLIC\\NET$PRN.DAT";
const PDF_SHORT_FILE_NAME =     "SYS:PUBLIC\\PRINTDEF.DAT";
const PDF_SHORT_FILE_NAME_PRE_40 =      "SYS:PUBLIC\\NET$PRN.DAT";
const PDF_FILE_NAME =   "\\\\%s\\SYS\\PUBLIC\\PRINTDEF.DAT";
const PDF_FILE_NAME_PRE_40 =    "\\\\%s\\SYS\\PUBLIC\\NET$PRN.DAT";
const PDF_SHORT_FILE_NAME =     "SYS:PUBLIC\\PRINTDEF.DAT";
const PDF_SHORT_FILE_NAME_PRE_40 =      "SYS:PUBLIC\\NET$PRN.DAT";
}
const JOB_MAJOR_VERSION =       4;
const JOB_MINOR_VERSION =       1;
const JOB_MAJOR_VERSION_PRE_40 =        1;
const JOB_MINOR_VERSION_PRE_40 =        1;
const JOB_DB_NAME =     'PRINTJOB.DAT';
const JOB_BACKUP_NAME = 'PRINTJOB.CPY';
const JOB_RENAME_NAME = 'PRINTJOB.REN';
const JOB_DB_NAME_PRE_40 =      'PRINTCON.DAT';
const JOB_BACKUP_NAME_PRE_40 =  'PRINTCON.CPY';
const JOB_RENAME_NAME_PRE_40 =  'PRINTCON.REN';
{
const JOB_PUBLIC_PATH = "%s\\SYS:PUBLIC\\%s";
const JOB_PUBLIC_PATH = "\\\\%s\\SYS\\PUBLIC\\%s";
const JOB_PRIVATE_PATH =        "%s\\SYS:MAIL\\%lX\\%s";
const JOB_PRIVATE_PATH =        "\\\\%s\\SYS\\MAIL\\%lX\\%s";
}
const NWPS_DEVICE_NONE_PRE_40 = '(None)';
const NWPS_MODE_NONE_PRE_40 =   '(None)';
{
const CFG_PSERVER_DIRECTORY =   "%s\\SYS:SYSTEM\\%08lX";
const CFG_FILESERV_FILE =       "%s\\SYS:SYSTEM\\%08lX\\FILESERV;"
const CFG_DESCRIPT_FILE =       "%s\\SYS:SYSTEM\\%08lX\\DESCRIPT;"
const CFG_PRINT_FILE =  "%s\\SYS:SYSTEM\\%08lX\\PRINT.%0;3d"
const CFG_PRINT_INDEX = "%s\\SYS:SYSTEM\\%08lX\\PRINT.ID;X"
const CFG_QUEUE_FILE =  "%s\\SYS:SYSTEM\\%08lX\\QUEUE.%;03d"
const CFG_NOTIFY_FILE = "%s\\SYS:SYSTEM\\%08lX\\NOTIFY.%;03d"
const CFG_PSERVER_DIRECTORY =   "\\\\%s\\SYS\\SYSTEM\\%08lX";
const CFG_FILESERV_FILE =       "\\\\%s\\SYS\\SYSTEM\\%08lX\\FILESE;RV"
const CFG_DESCRIPT_FILE =       "\\\\%s\\SYS\\SYSTEM\\%08lX\\DESCR;IPT"
const CFG_PRINT_FILE =  "\\\\%s\\SYS\\SYSTEM\\%08lX\\PRINT.;%03d"
const CFG_PRINT_INDEX = "\\\\%s\\SYS\\SYSTEM\\%08lX\\PRINT.;IDX"
const CFG_QUEUE_FILE =  "\\\\%s\\SYS\\SYSTEM\\%08lX\\QUEUE;.%03d"
const CFG_NOTIFY_FILE = "\\\\%s\\SYS\\SYSTEM\\%08lX\\NOTIF;Y.%03d"
}
const NWPS_P_PAR_1 =    0 ;
const NWPS_P_PAR_2 =    1 ;
const NWPS_P_PAR_3 =    2 ;
const NWPS_P_SER_1 =    3 ;
const NWPS_P_SER_2 =    4 ;
const NWPS_P_SER_3 =    5 ;
const NWPS_P_SER_4 =    6 ;
const NWPS_P_REM_PAR_1 =        7 ;
const NWPS_P_REM_PAR_2 =        8 ;
const NWPS_P_REM_PAR_3 =        9 ;
const NWPS_P_REM_SER_1 =        10 ;
const NWPS_P_REM_SER_2 =        11 ;
const NWPS_P_REM_SER_3 =        12 ;
const NWPS_P_REM_SER_4 =        13 ;
const NWPS_P_REM_OTHER_1 =      14 ;
const NWPS_P_ELSEWHERE_1 =      15 ;
const NWPS_P_XNP_1 =    16 ;
const NWPS_P_LOC_AIO =  17 ;
const NWPS_P_REM_AIO =  18 ;
const NWPS_P_APPLE_1 =  100 ;
const NWPS_P_UNIX_1 =   200 ;
const PCONFIG_V100_SIZE =       70;
{const PCONFIG_V200_SIZE =      sizeof(PCONFIG);}
const NWPS_JOB_IDX_ELEMENTS =   37;
{const CMD_LOGIN_TO_PRINT_SERVER =      $01;
const CMD_GET_PRINT_SERVER_INFO =       $02;
const CMD_DOWN =        $03;
const CMD_CANCEL_DOWN = $04;
const CMD_GET_PRINTER_STATUS =  $05;
const CMD_STOP_PRINTER =        $06;
const CMD_START_PRINTER =       $07;
const CMD_MOUNT_FORM =  $08;
const CMD_REWIND_PRINT_JOB =    $09;
const CMD_EJECT_PAGE =  $0A;
const CMD_MARK_PAGE =   $0B;
const CMD_CHANGE_SERVICE_MODE = $0C;
const CMD_GET_JOB_STATUS =      $0D;
const CMD_ABORT_JOB =   $0E;
const CMD_SCAN_QUEUE_LIST =     $0F;
const CMD_CHANGE_QUEUE_PRIORITY =       $10;
const CMD_ADD_QUEUE =   $11;
const CMD_DELETE_QUEUE =        $12;
const CMD_GET_PRINTERS_FOR_QUEUE =      $13;
const CMD_SCAN_NOTIFY_LIST =    $14;
const CMD_CHANGE_NOTIFY =       $15;
const CMD_ADD_NOTIFY =  $16;
const CMD_DELETE_NOTIFY =       $17;
const CMD_ATTACH_TO_FILE_SERVER =       $18;
const CMD_DETACH_FROM_FILE_SERVER =     $19;
const CMD_GET_ATTACHED_SERVERS =        $1A;}
const CMD_REWIND_JOB_WITH_ID =  $1B;
const CMD_ABORT_JOB_WITH_ID =   $1C;
{const CMD_ADD_FORM =   $1D;
const CMD_DISMOUNT_FORM =       $1E;
const CMD_GET_EXT_PRINTER_STATUS =      $1F;
const CMD_GET_EXT_JOB_STATUS =  $20;
const CMD_GET_RPRINTER =        $80;
const CMD_CONNECT_RPRINTER =    $81;
const CMD_SET_REMOTE_MODE =     $82;
const CMD_SCAN_RPRINTER =       $84;
const CMD_DS_LOGIN_TO_PRINT_SERVER =    $D1;
const CMD_DS_SCAN_QUEUE_LIST =  $DF;
const CMD_DS_CHANGE_QUEUE_PRIORITY =    $E0;
const CMD_DS_ADD_QUEUE =        $E1;
const CMD_DS_DELETE_QUEUE =     $E2;
const CMD_DS_GET_PRINTERS_FOR_QUEUE =   $E3;
const CMD_DS_SCAN_NOTIFY_LIST = $E4;
const CMD_DS_CHANGE_NOTIFY =    $E5;
const CMD_DS_ADD_NOTIFY =       $E6;
const CMD_DS_DELETE_NOTIFY =    $E7;
const CMD_DS_GET_JOB_ID =       $E8;}
const XNP_ACCEPT_JOB =  $00;
const XNP_CLOSE_FILE =  $01;
const XNP_CREATE_BANNER =       $02;
const XNP_DECLINE_JOB = $03;
const XNP_DEREGISTER =  $04;
const XNP_FINISH_JOB =  $05;
const XNP_GET_CONFIG =  $06;
const XNP_OPEN_FILE =   $07;
const XNP_READ_FILE =   $08;
const XNP_REGISTER =    $09;
const XNP_SEEK_FILE =   $0A;
const XNP_SEND_STATUS = $0B;
const XNP_WRITE_FILE =  $0C;
const XNP_ABORT_JOB =   $80;
const XNP_GOING_DOWN =  $81;
const XNP_JOB_STATUS =  $82;
const XNP_NEW_JOB =     $83;
const XNP_PAUSE_JOB =   $84;
const XNP_PAUSE_PRINTER =       $85;
const XNP_RECONFIGURE = $86;
const XNP_REWIND_JOB =  $87;
const XNP_START_JOB =   $88;
const XNP_START_PRINTER =       $89;

{File NWPSJOB0.H:}

{File NWPSJOB1.H:}

{File NWPSJOB2.H:}

{File NWPSPDF0.H:}

{File NWPSPDF1.H:}

{File NWPSPDF2.H:}

{File NWPSRV.H:}

{File NWQMS.H:}
const QF_AUTO_START =   $08;
const QF_ENTRY_RESTART =        $10;
const QF_ENTRY_OPEN =   $20;
const QF_USER_HOLD =    $40;
const QF_OPERATOR_HOLD =        $80;
const QS_CANT_ADD_JOBS =        $01;
const QS_SERVERS_CANT_ATTACH =  $02;
const QS_CANT_SERVICE_JOBS =    $04;

{File SERVER.H:}
const LNS_CHECK =       0;
const NW_LONG_NAME_SERVER =     1;
{const NW_ENCP_SERVER = 1;
const NW_EXTENDED_NCP_SERVER =  1;}
const VERSION_CHECK =   1;
const COMPATIBLE =      $00;
const VERSION_NUMBER_TOO_LOW =  $01;
const SFT_LEVEL_TOO_LOW =       $02;
const TTS_LEVEL_TOO_LOW =       $04;

{File NWSAP.H:}
const SAP_SOCKET =      $0452;
const SAP_PACKET_TYPE = 2;
const ONE_MINUTE =      (60 * 18);
const IPX_EVENT_CANCELED =      $FC;
{const SUCCESSFUL =     $00;}
const FAILURE = (-1);
const NOT_SUPPORTED =   1;
const INVALID_QUERY_TYPE =      2;
const PERIODIC_ID_PACKET =      2;
const RESPONSE_ID_PACKET =      4;
const MAX_NUM_APPS =    10;
const OPEN_SAP_SOCKET_ERROR =   $60;
const TOO_MANY_SERVERS_ON_NODE =        $61;
const SAP_MEMORY_ALLOC_ERROR =  $62;
const SERVER_ALREADY_ADVERTISING =      $63;
const MULTIPLE_INSTANCES_ON_SOCKET =    $64;
const SAP_MEMORY_FREE_ERROR =   $65;
const SAP_MEMORY_UNLOCK_ERROR = $66;
const SAP_ECB_NOT_CANCELLED =   $67;
const SAP_SERVER_NOT_ADVERTISING =      $68;

{File DIAG.H:}
const MAX_NETWORKS =    120;
const MAX_SERVERS =     150;
const MAX_NODES =       120;
const MAX_EXCLUSIONS =  80;
const MAX_LOCAL_NETWORKS =      4;
const MAX_ROUTES =      47;
const MAX_IPX_PACKET_SIZE =     576;
const MAX_SERVER_NAME_LENGTH =  16;
const WORKGROUP_NAME_LENGTH =   16;
const OEM_NAME_LENGTH = 16;
const IPX_SPX_COMPONENT =       0;
const BRIDGE_DRIVER_COMPONENT = 1;
const SHELL_DRIVER_COMPONENT =  2;
const SHELL_COMPONENT = 3;
const VAP_SHELL_COMPONENT =     4;
const BRIDGE_COMPONENT =        5;
const FILE_SERVER_COMPONENT =   6;
const NONDEDICATED_IPX_SPX_COMPONENT =  7;
const IPX_ONLY =        8;
const GNMA_DOS_COMPONENT =      9;
const GNMA_OS2_COMPONENT =      10;
const NWLITE_SERVER_COMPONENT = 11;
const NWLITE_CACHE_COMPONENT =  12;
const MAX_COMPONENTS =  13;
const NO_ERRORS =       $00;
const COULD_NOT_GET_LOCAL_TARGET =      $FF;
const COULD_NOT_OPEN_SOCKET =   $FE;
const COULD_NOT_BEGIN_CONNECTION =      $FD;
const COULD_NOT_ESTABLISH_CONNECTION =  $FC;
const COULD_NOT_TERMINATE_CONNECTION =  $FB;
const BAD_CONNECTION_ID =       $FA;
const COULD_NOT_SEND_REQUEST =  $F9;
const RECEIVED_REPLY_IN_ERROR = $F8;
const NETWORK_NOT_FOUND =       $EF;
const NO_RESPONSE_FROM_DESTINATION =    $EE;
const RESPONSE_COMPLETION_CODE_BAD =    $ED;
const LIST_SIZE_TOO_SMALL =     $EC;
const INTERNAL_LIST_ERROR =     $EB;
const NODE_NOT_FOUND_OR_NO_RESPONSE =   $EA;
const MEMORY_ALLOCATION_ERROR = $DF;
const VERSION_DOES_NOT_SUPPORT =        $DE;

{File NWSNAPIN.H:}
const NWA_SNAPIN_VER_MAJOR =    1;
const NWA_SNAPIN_VER_MINOR =    0;
const NWA_SNAPIN_VER_REVISION = 0;
const NWA_VIEW_CONSOLE =        'ListMenu';
const NWA_VIEW_BROWSER =        'BROWSER';
const NWA_MSG_INITSNAPIN =      $0100;
const NWA_MSG_CLOSESNAPIN =     $0101;
const NWA_MSG_CREATEOBJECT =    $0102;
const NWA_MSG_GETPAGECOUNT =    $0103;
const NWA_MSG_REGISTERPAGE =    $0104;
const NWA_MSG_RENAME =  $0105;
const NWA_MSG_MODIFY =  $0106;
const NWA_MSG_QUERYDELETE =     $0107;
const NWA_MSG_QUERYCOPY =       $0108;
const NWA_MSG_QUERYMOVE =       $0109;
const NWA_MSG_GETVALIDOPERATIONS =      $0110;
const NWA_MSG_MPEWCLOSE =       $0111;
{const NWA_WM_SETPAGEMODIFY =   WM_USER+$120;
const NWA_WM_CANCLOSE = WM_USER+$121;
const NWA_WM_F1HELP =   (WM_USER + $139);}
const NWA_MENU_BASE =   $1000;
const NWA_MSG_FBOBJECT_COUNT =  $0200;
const NWA_MSG_FBOBJECT_VALUE =  $0201;
const NWA_MSG_FBFILTER_COUNT =  $0202;
const NWA_MSG_FBFILTER_VALUE =  $0203;
const NWA_FB_BROWSE_PUBLIC =    $00000001;
const NWA_FB_BROWSE_ROOT =      $00000002;
const NWA_FB_SINGLE_SELECT =    $00000004;
const NWA_FB_MULTIPLE_SELECT =  $00000008;
const NWA_FB_NONDS_VOLUMES =    $00000010;
const NWA_FB_EXPAND_VOLUMES =   $00000020;
const NWA_MVED_VALUE_READONLY = $0001;
const NWA_MVED_VALUE_STRING =   $0001;
const NWA_MVED_VALUE_DISTNAME = $0002;
const NWA_MVED_VALUE_DIGITSONLY =       $0004;
const NWA_MVED_VALUE_PRINTABLE =        $0005;
const NWA_MSG_MVED_INITCOUNT =  $300;
const NWA_MSG_MVED_INITVALUE =  $301;
const NWA_RET_SUCCESS = 0;
const NWA_RET_DODEFAULT =       1;
const NWA_RET_SHOWDETAILS =     2;
const NWA_RET_CREATEANOTHER =   3;
const NWA_ERR_ERROR =   -1;
const NWA_ERR_NO_MEMORY =       -901;
const NWA_ERR_DUPLICATE_ENTRY = -902;
const NWA_ERR_UNKNOWN_ERROR =   -903;
const NWA_ERR_INVALID_STRING_PARAMETER =        -904;
const NWA_ERR_INVALID_BITMAP_PARAMETER =        -905;
const NWA_ERR_INVALID_BITMAP_POINTER_PARAMETER =        -906;
const NWA_ERR_INSUFFICIENT_STRING_BUFFER =      -907;
const NWA_ERR_CLASSNAME_TABLE_NOT_INITIALIZED = -908;
const NWA_ERR_ATTRNAME_TABLE_NOT_INITIALIZED =  -909;
const NWA_ERR_BITMAP_TABLE_NOT_INITIALIZED =    -910;
const NWA_ERR_ALIAS_BITMAP_TABLE_NOT_INITIALIZED =      -911;
const NWA_ERR_CLASSNAME_NOT_FOUND =     -912;
const NWA_ERR_ATTRNAME_NOT_FOUND =      -913;
const NWA_ERR_BITMAP_NOT_FOUND =        -914;
const NWA_ERR_IS_BAD_STRING_POINTER =   -915;
const NWA_ERR_INVALID_PARAMETER =       -916;
const NWA_ERR_LAUNCH_FBROWSER = -917;
const NWA_ERR_FUNCTION_FAILED = -918;
const NWA_ERR_INVALID_CALLBACK_PROC =   -919;
const NWA_ERR_INVALID_MODULE_HANDLE =   -920;
const NWA_ERR_INVALID_SNAPIN_VERSION =  -921;
const NWA_OP_DSTYPE =   $00000001;
const NWA_OP_FSTYPE =   $00000002;
const NWA_OP_CREATE =   $00000004;
const NWA_OP_DETAILS =  $00000008;
const NWA_OP_MOVE =     $00000010;
const NWA_OP_COPY =     $00000020;
const NWA_OP_RENAME =   $00000040;
const NWA_OP_DELETE =   $00000080;
const NWA_OP_USERTEMPLATE =     $00000100;
const NWA_OP_SEARCH =   $00000200;
const NWA_OP_CONTAINER =        $00000400;
const NWA_MAX_TRANSLATED_NAME = 256;
const NWA_MAX_CLASS_NAME =      MAX_SCHEMA_NAME_BYTES;
const NWA_MAX_CLASS_TYPE =      MAX_SCHEMA_NAME_BYTES;
const NWA_MAX_OBJECT_NAME =     MAX_DN_BYTES;
const NWA_DS_OBJECT_TYPE =      'DS';
const NWA_FS_OBJECT_TYPE =      'FS';

{File NWSYNC.H:}

{File NWTTS.H:}

{File NWVOL.H:}
const VINetWare386 =    0;
const VINetWare286 =    1;
const VINetWare386v30 = 2;
const VINetWare386v31 = 3;
const NWSubAllocEnabledBit =    $01;
const NWCompressionEnabledBit = $02;
const NWMigrationEnabledBit =   $04;
const NWAuditingEnabledBit =    $08;
const NWReadOnlyEnabledBit =    $10;

{File NXTD.H:}
const SHORT_LIVED =     $00;
const LONG_LIVED =      $FF;
const ENABLE_WATCHDOG = $FF;
const DISABLE_WATCHDOG =        $00;
const SPX_IS_INSTALLED =        $FF;
const SPX_NOT_INSTALLED =       $00;
const SPX_CONNECTION_OK =       $00;
const SPX_CONNECTION_STARTED =  $00;
const SPX_CONNECTION_ESTABLISHED =      $00;
const SPX_PACKET_SUCCESSFUL =   $00;
const SPX_SOCKET_NOT_OPENED =   $FF;
const SPX_MALFORMED_PACKET =    $FD;
const SPX_PACKET_OVERFLOW =     $FD;
const SPX_LISTEN_CANCELED =     $FC;
const SPX_CONNECTION_TABLE_FULL =       $EF;
const SPX_INVALID_CONNECTION =  $EE;
const SPX_NO_ANSWER_FROM_TARGET =       $ED;
const SPX_CONNECTION_FAILED =   $ED;
const SPX_CONNECTION_TERMINATED =       $ED;
const SPX_TERMINATED_POORLY =   $EC;

{File NXTW.H:}
{const SUCCESSFUL =     $00;}
{const SPX_NOT_INSTALLED =      $00;}
const SPX_INSTALLED =   $FF ;
{const SPX_CONNECTION_OK =      $00;
const SPX_CONNECTION_STARTED =  $00;
const SPX_CONNECTION_ESTABLISHED =      $00;
const SPX_PACKET_SUCCESSFUL =   $00;
const SPX_SOCKET_NOT_OPENED =   $FF;
const SPX_MALFORMED_PACKET =    $FD;
const SPX_PACKET_OVERFLOW =     $FD;
const SPX_LISTEN_CANCELED =     $FC;
const SPX_CONNECTION_TABLE_FULL =       $EF;
const SPX_INVALID_CONNECTION =  $EE;
const SPX_NO_ANSWER_FROM_TARGET =       $ED;
const SPX_CONNECTION_FAILED =   $ED;
const SPX_CONNECTION_TERMINATED =       $ED;
const SPX_TERMINATED_POORLY =   $EC;}
const NO_MGMT_MEMORY =  $F0;
const IPXSPX_NOT_INIT = $F1;
const IPX_NOT_INIT =    $F1;
const NO_DOS_MEMORY =   $F2;
const NO_FREE_ECB =     $F3;
const WINLOCK_FAILED =  $F4;
const OVER_MAX_LIMIT =  $F5 ;
const IPXSPX_PREV_INIT =        $F6;
const CANCEL_FAILURE =  $F9;
const NO_PATH_TO_DESTINATION_FOUND =    $FA;
const ECB_CANCELLED =   $FC;
const PACKET_OVERFLOW = $FD;
const PACKET_UNDELIVERABLE =    $FE;
const SOCKET_NOT_OPEN = $FF;
const TRANSMIT_FAILURE =        $FF;
const ECB_NOT_IN_USE =  $FF;
const SOCKET_ALREADY_OPEN =     $FF;
const IMMEDIATE_ADDRESS_COMPLETE =      $7777;

{File POLL.H:}
const NPOLLFILE =       20;
const POLLIN =  01 ;
const POLLPRI = 02 ;
const POLLOUT = 04 ;
const POLLERR = 010 ;
const POLLHUP = 020 ;
const POLLNVAL =        040 ;

{File SAP.H:}
{const SAP_SOCKET =     $452;
const SAP_PACKET_TYPE = 2;
const ONE_MINUTE =      (60 * 18);
const IPX_EVENT_CANCELED =      $FC;
const NOT_SUPPORTED =   1;
const INVALID_QUERY_TYPE =      2;
const PERIODIC_ID_PACKET =      2;
const SUCCESSFUL =      $00;
const FAILURE = (-1);}

{File SPXCALLS.H:}
const ECB_ERROR_CHECK_OFF =     $0000;
const ECB_ERROR_CHECK_ON =      $0001;
const WATCHDOG_CONNECTION =     $02;

{File SPXERROR.H:}
const SPX_SUCCESSFUL =  $3000;
const SPX_BAD_ADDRESS = $A001;
const SPX_OUT_OF_RESOURCE =     $A002;
const SPX_DAEMON_LOADED =       $A0FC;
const SPX_BAD_SEMAPHORE =       $A0FD;
const SPX_ECB_IN_USE =  $A0FF;
const SPX_CANCEL_FAILED =       $A1F9;
const SPX_BAD_PARAMETER =       $A1FD;
const SPX_ECB_NOT_FOUND =       $A1FF;
const SPX_CONNECT_FAILED =      $A2ED;
const SPX_CONNECT_NOT_FOUND =   $A2EE;
const SPX_ECB_CANCELLED =       $A2FC;
const SPX_BAD_PACKET =  $A2FD;
const SPX_SOCKET_NOT_FOUND =    $A2FF;
const SPX_CONNECT_TERMINATED =  $A3EC;
const SPX_CONNECT_ABORTED =     $A3ED;
const SPX_CONNECT_IN_USE =      $A3EE;
const SPX_CONNECT_TABLE_FULL =  $A3EF;
const SPX_SOCKET_CLOSED =       $A3FC;
{const SPX_PACKET_OVERFLOW =    $A3FD;}
const SPX_SOCKET_TABLE_FULL =   $A3FE;
const SPX_SOCKET_IN_USE =       $A3FF;
const SPX_NO_ACK_RECEIVED =     $A400;
const SPX_IPX_SOCKET_IN_USE =   $A401;
const SPX_BAD_CONNECT_STATUS =  $A402;
const SPX_LISTEN_FAILED =       $A403;
const SPX_INVALID_FRAGMENT =    $A500;
const SPX_INVALID_ECB_ADDRESS = $A600;
const SPX_INVALID_FRAG_LIST =   $A601;
const SPX_INVALID_SYS_SEM =     $A602;
const SPX_INVALID_RAM_SEM =     $A603;

{File TISPXIPX.H:}
const OPTIONS_VERSION = 1;
const OPTIONS_SIZE =    (13 * sizeof (longint));
const SPX_WATCHDOG_OFF =        0;
const SPX_WATCHDOG_ON = 1;
const SPX_WATCHDOG_DEFAULT =    SPX_WATCHDOG_ON;
const SPX_RETRY_MIN =   3;
const SPX_RETRY_MAX =   50;
const SPX_RETRY_DEFAULT =       10;
const SPX_WATCHDOG_TIMEOUT_MIN =        3000 ;
const SPX_WATCHDOG_TIMEOUT_MAX =        300000 ;
const SPX_WATCHDOG_TIMEOUT_DEFAULT =    60000 ;
const SPX_MIN_RETRY_DELAY_MIN = 1 ;
const SPX_MIN_RETRY_DELAY_MAX = 60000 ;
const SPX_MIN_RETRY_DELAY_DEFAULT =     0 ;
const SPX_MAX_RETRY_DELTA_MIN = 1000 ;
const SPX_MAX_RETRY_DELTA_MAX = 60000 ;
const SPX_MAX_RETRY_DELTA_DEFAULT =     5000 ;
const SPX_OPTION_NEGOTIATE_OFF =        0;
const SPX_OPTION_NEGOTIATE_ON = 1;
const SPX_OPTION_NEGOTIATE_DEFAULT =    SPX_OPTION_NEGOTIATE_ON;
const SPX_CONNECT_TIMEOUT_MIN = 1000 ;
const SPX_CONNECT_TIMEOUT_MAX = 120000 ;
const SPX_CONNECT_TIMEOUT_DEFAULT =     0 ;
const SPX_LOCAL_WINDOW_SIZE_MIN =       1;
const SPX_LOCAL_WINDOW_SIZE_MAX =       8;
const SPX_LOCAL_WINDOW_SIZE_DEFAULT =   0 ;
const SPX2_SF_NONE =    $00 ;
const SPX2_SF_IPX_CHECKSUM =    $01 ;
const SPX2_SF_SPX2_SESSION =    $02;
const TLI_SPX_CONNECTION_FAILED =       $ed;
const TLI_SPX_CONNECTION_TERMINATED =   $ec ;
const TLI_SPX_MALFORMED_PACKET =        $fe;
const TLI_SPX_PACKET_OVERFLOW = $fd ;
const TLI_SPX_UNREACHABLE_DEST =        $70 ;
const TLI_IPX_MALFORMED_ADDRESS =       $fe;
const TLI_IPX_PACKET_OVERFLOW = $fd;

{File TIUSER.H:}
const MAX_TLI_CONNECTIONS =     40;
const O_RDWR =  $02;
const O_NDELAY =        $4000;
const O_NONBLOCK =      O_NDELAY;
const EAGAIN =  -1;
const TBADADDR =        1;
const TBADOPT = 2;
const TACCES =  3;
const TBADF =   4;
const TNOADDR = 5;
const TOUTSTATE =       6;
const TBADSEQ = 7;
const TSYSERR = 8;
const TLOOK =   9;
const TBADDATA =        10;
const TBUFOVFLW =       11;
const TFLOW =   12;
const TNODATA = 13;
const TNODIS =  14;
const TNOUDERR =        15;
const TBADFLAG =        16;
const TNOREL =  17;
const TNOTSUPPORT =     18;
const TSTATECHNG =      19;
const TNOSTRUCTYPE =    20;
const TBADNAME =        21;
const TBADQLEN =        22;
const TADDRBUSY =       23;
const _T_LISTEN =        $0001;
const _T_CONNECT =       $0002;
const T_DATA =  $0004;
const T_EXDATA =        $0008;
const T_DISCONNECT =    $0010;
const T_UDERR = $0040;
const T_ORDREL =        $0080;
const T_GODATA =        $0100;
const T_GOEXDATA =      $0200;
const T_EVENTS =        $0400;
{const T_ERROR = $0500 ;}
const T_MORE =  $01;
const T_EXPEDITED =     $02;
const T_NEGOTIATE =     $04;
const T_CHECK = $08;
const T_DEFAULT =       $10;
const T_SUCCESS =       $20;
const T_FAILURE =       $40;
const T_DISABLE =       0;
const T_ENABLE =        1;
const T_SAME =  2;
const T_COTS =  01 ;
const T_COTS_ORD =      02 ;
const T_CLTS =  03 ;
const T_BIND_STR =      1;
const T_OPTMGMT_STR =   2;
const T_CALL_STR =      3;
const T_DIS_STR =       4;
const T_UNITDATA_STR =  5;
const T_UDERROR_STR =   6;
const T_INFO_STR =      7;
const T_ADDR =  $01;
const T_OPT =   $02;
const T_UDATA = $04;
const T_ALL =   $08 ;
{const T_BIND =  T_BIND_STR;}
{const T_CALL =  T_CALL_STR;}
const T_OPTMGMT =       T_OPTMGMT_STR;
const T_DIS =   T_DIS_STR;
const T_UNITDATA =      T_UNITDATA_STR;
const T_UDERROR =       T_UDERROR_STR;
const T_INFO =  T_INFO_STR;
const T_UNINIT =        0 ;
const T_UNBND = 1 ;
const T_IDLE =  2 ;
const T_OUTCON =        3 ;
const T_INCON = 4 ;
const T_DATAXFER =      5 ;
const T_OUTREL =        6 ;
const T_INREL = 7 ;
const T_YES =   1;
const T_NO =    0;
const T_UNUSED =        -1;
const T_NULL =  0;
const T_ABSREQ =        $8000;
const T_CLASS0 =        0;
const T_CLASS1 =        1;
const T_CLASS2 =        2;
const T_CLASS3 =        3;
const T_CLASS4 =        4;
const T_PRITOP =        0;
const T_PRIHIGH =       1;
const T_PRIMID =        2;
const T_PRILOW =        3;
const T_PRIDFLT =       4;
const T_NOPROTECT =     1;
const T_PASSIVEPROTECT =        2;
const T_ACTIVEPROTECT = 4;
const T_LTPDUDFLT =     128;
const T_ROUTINE =       0;
const T_PRIORITY =      1;
const T_IMMEDIATE =     2;
const T_FLASH = 3;
const T_OVERRIDEFLASH = 4;
const T_CRITIC_ECP =    5;
const T_INETCONTROL =   6;
const T_NETCONTROL =    7;

{File UNICODE.H:}
const UNI_ALREADY_LOADED =      -489 ;
const UNI_FUTURE_OPCODE =       -490 ;
const UNI_NO_SUCH_FILE =        -491 ;
const UNI_TOO_MANY_FILES =      -492 ;
const UNI_NO_PERMISSION =       -493 ;
const UNI_NO_MEMORY =   -494 ;
const UNI_LOAD_FAILED = -495 ;
const UNI_HANDLE_BAD =  -496 ;
const UNI_HANDLE_MISMATCH =     -497 ;
const UNI_RULES_CORRUPT =       -498 ;
const UNI_NO_DEFAULT =  -499 ;
const UNI_INSUFFICIENT_BUFFER = -500;
const UNI_OPEN_FAILED = -501 ;
const UNI_NO_LOAD_DIR = -502 ;
{const NWInitUnicodeTables =    NWNInitUnicodeTables;
const NWFreeUnicodeTables =     NWNFreeUnicodeTables;
const NWLoadRuleTable = NWNLoadRuleTable;
const NWUnloadRuleTable =       NWNUnloadRuleTable;}

implementation

end.
