unit TNWFilPr;

interface

uses Classes,
    TNWObj;

type
    TNWFileImpression = class(TNWObject)
    private
        { Private-dclarations }
    protected
        { Protected-dclarations }
    public
        { Public-dclarations }
        procedure ChercheOperateurs(Operateurs: TStrings);
        procedure AssignOperateurs(Operateurs: TStrings);
        function ChercheFichierPhysique: String;
        procedure AssignFichierPhysique(FichierPhysique: String);
        procedure ChercheUtilisateurs(Utilisateurs: TStrings);
        procedure AssignUtilisateurs(Operateurs: TStrings);
    end;

implementation

procedure TNWFileImpression.ChercheOperateurs(Operateurs: TStrings);
begin
    ChercheObjectsDansSet(Operateurs, 'Q_OPERATORS');
end;

procedure TNWFileImpression.AssignOperateurs(Operateurs: TStrings);
begin
    AssignObjectsDansSet('Q_OPERATORS', Operateurs);
end;

function TNWFileImpression.ChercheFichierPhysique: String;
begin
    Result := ChercheInfoDans('Q_DIRECTORY');
end;

procedure TNWFileImpression.AssignFichierPhysique(FichierPhysique: String);
begin
    AssignInfoDans('Q_DIRECTORY', FichierPhysique);
end;

procedure TNWFileImpression.ChercheUtilisateurs(Utilisateurs: TStrings);
begin
    ChercheObjectsDansSet(Utilisateurs, 'Q_USERS');
end;

procedure TNWFileImpression.AssignUtilisateurs(Operateurs: TStrings);
begin
    AssignObjectsDansSet('Q_USERS', Operateurs);
end;

end.
